commit a46338a9923a2434b130cdaaed014e54020edf2a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 29 13:17:59 2018 +1000

    synaptics 1.9.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9f3a6ac97e9d3f13cdfb38e54fbce92452025830
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 14 09:49:00 2018 +1000

    eventcomm: if we get a read error other than EAGAIN, remove the fd
    
    Otherwise poll() keeps on triggering on our fd until udev gets around to
    notifying the server that the device is in some state of deadness. Meanwhile,
    the input thread is busy filling the log up with "Read error" messages. Great
    way to test file systems and their capacity to handle out of space scenarios
    but otherwise a bit pointless. Those FS developers should write their own
    tests instead of relying on the synaptics driver!
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit 59eb0c372b615fce5039e69b5067adc0efe5b64b
Author: Luca Castagnini <ilfigliodellaparolaavuoto@gmail.com>
Date:   Wed Oct 25 12:14:45 2017 +0200

    Replace SA_ONESHOT with the more portable SA_RESETHAND.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6d3749105d964da5b4e534206fdb47f5ff8a697f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 17 13:10:31 2017 +1000

    Drop HandleTouches - it's a noop
    
    With the removal of touch events in 0a4cf80a00663, this function is a noop. It
    merely counted the number of touches but discarded the result. And
    UpdateTouchState does the update anyway.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=102209
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit afa8d7bb469e7ce01d9239f0dd790d3d620bfbd6
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:21 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 703b44fa687148e400f3a92bfe3a7e120e6c355e
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3261e07c923c449f08a96a8439c97479b7ff899c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Nov 18 13:00:09 2016 +1000

    synaptics 1.9.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a7d76f4275a88d98b18eed29a1ee94a70e7fa367
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Oct 9 19:27:47 2016 +1000

    synaptics 1.8.99.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 35b9472a189c88415fed137fb4c62a5081caaea5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Sep 15 13:47:09 2016 +1000

    Remove unused fraction calculations
    
    hw.x and the motion history are integers so our deltas are always integers.
    It's a bit pointless to split them into the fractional and integral part.
    
    obsolete since defc1d008e5674306a or so
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 486322116d70365c2e2a1d9f45830057fa03153e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 17 11:32:12 2016 +1000

    eventcomm: don't ever probe if a device is set
    
    If opening the fd fails we still need to fail the device. This is particularly
    the case when a device disappears before we can open it - the current code
    wouldn't exit but instead switch to auto-probe touchpad devices on the system.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit cd9f9799235aefff1ec1a0af9ec6b45969119659
Author: Anton Lindqvist <anton.lindqvist@gmail.com>
Date:   Fri Aug 5 10:21:59 2016 +0200

    syndaemon: enable touchpad when pressing a modifier combo
    
    When ignoring modifiers, ensure the touchpad is enabled once a modifier
    key is pressed disregarding any previous key press that caused the
    touchpad to be disabled.
    
    Signed-off-by: Anton Lindqvist <anton.lindqvist@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 248c5936a0151d0766a95457330c7d3ef9335b94
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 2 10:05:02 2016 +1000

    Support XINPUT ABI version 23
    
    Use input_lock/input_unlock calls instead of SIGIO functions
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 59e5db025307404fbfbc82f2fb3fe91d6a3005d7
Author: Stefan Dirsch <sndirsch@suse.de>
Date:   Thu May 19 17:35:57 2016 +0200

    conf: rename to 70-synaptics.conf
    
    Bump up the synaptics driver to 70, so it get's preferred over libinput, which
    was dropped down to 60. The synaptics driver is more of a leaf package
    than libinput (which covers a multitude of device types) and can be removed by
    default. When specifically installed by the user, the synaptics driver should
    override the system default.
    
    Similar to what was done for wacom configuration file.
    
    https://bugzilla.suse.com/show_bug.cgi?id=979554
    
    Signed-off-by: Stefan Dirsch <sndirsch@suse.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 979fbec84197cd2c8ea3ffdd8e7726e8a617328b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 29 10:51:17 2016 +1000

    Revert MaxDoubleTapTime back to 180
    
    Fallout from 90c6d7fc60f3db1bd9db1c7702062fcaef3b3352 where it got changed to
    100ms. This is too short for triple-tap-and-drag gestures so revert it to the
    previous value.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=95171
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2a1a17244f067b2ae893ea01d737e135586b151c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 29 08:48:19 2016 +1000

    synaptics 1.8.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f1f58fffbf482de74bc7907e0af69feb9fe88a45
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 27 09:29:27 2016 +1000

    eventcomm: fix typo checking for two-finger scrolling
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0a4cf80a00663ff3ce8e76baf0940782576efe13
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 26 16:28:56 2015 +1000

    Drop touch events from the driver
    
    This was a bad idea. No-one seems to use this and it gives us little benefits.
    To even get this feature a number of other features need to be turned off
    (like two-finger scrolling and tapping). Many of these are enabled by default,
    if they are disabled a client stack with full touchpad gesture support could
    in theory support true touchpad gestures. This has never happened.
    
    Drop the touch events from the synaptics driver. This allows us to switch the
    touchpad fully over to look like a relative device, thus also removing the
    bug that changes the touchpad speed whenever a monitor is added/removed in.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 7aa327603fb2a8af58c8df6f4a4dd46e8294050e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 17 15:31:08 2015 +1000

    eventcomm: ignore key repeat events
    
    Usually doesn't happen, but the evtest output in
    https://bugs.freedesktop.org/show_bug.cgi?id=90392
    actually has repeat events for the button. Ignore them if they happen.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fc9f490a2c87e6f87b0f483cd6bf5f526dddbb8d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 24 15:41:39 2015 +1000

    eventcomm: ignore fake and broken MT devices
    
    An MT device without X/Y is not a touchpad. And neither are fake MT devices.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 30866b97be6939b895327b930154ef758eed7ff8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 23 11:38:15 2015 +1000

    eventcomm: prevent possibly division by zero
    
    This came up as a kernel bug, but it's valid to create uinput devices with a
    min == max range for x/y. Technically valid, but effectively useless, so catch
    it, complain and hobble on along.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 5378a020a003cbdfa565d43c9e01997b570059c9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 17 16:06:41 2015 +1000

    Revert "Support the new Lenovo X1 Carbon 3rd trackpoint buttons"
    
    This reverts commit 064445364b4775b25ba49c2250b22b169f291147.
    
    The Lenovo *50 series, including the X1 Carbon 3rd always require multiple
    kernel patches to enable the touchpad buttons. This patch in synaptics only
    addresses the re-routing of the top buttons.
    
    The final iteration of the kernel patches also route the trackpoint buttons
    through the trackpoint device, rendering this patch unnecessary. These patches
    are queued for 4.0.
    
    See kernel patch series up to commit cdd9dc195916ef5644cfac079094c3c1d1616e4c
    Author: Benjamin Tissoires <benjamin.tissoires@redhat.com>
    Date:   Sun Mar 8 22:35:41 2015 -0700
    
        Input: synaptics - re-route tracksticks buttons on the Lenovo 2015 series
    
    Currently in Dmitry's for-linus branch.
    
    Distributions running older kernels or the kernel stable series which has
    partial backports of the above patch series are encouraged to leave the
    0644453 commit in and undo this revert.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 00db769067fa0703f96284bd50ea384efd47e2de
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 6 11:06:41 2015 +1000

    conf: add Lenovo T450s and W451 to rules
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 37d34f0356cc556dd8a49ec5d1ed64d49417a9b2
Author: Gabriele Mazzotta <gabriele.mzt@gmail.com>
Date:   Thu Jan 15 22:04:17 2015 +0100

    Add a delay between the second button down-up event of double taps
    
    Some applications ignore the second tap of double taps because of the
    lack of a delay between the button down and button up events.
    
    Prevent this by replacing the transition from TS_2B to TS_START with a
    transition from TS_2B to TS_SINGLETAP that emits only a button down
    event. The button up event will be emitted when transitioning from
    TS_SINGLETAP to TS_START.
    
    In addition, decrease the default value of MaxDoubleTapTime from 180 ms
    to 100 ms in order to make double taps faster.
    
    Signed-off-by: Gabriele Mazzotta <gabriele.mzt@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 064445364b4775b25ba49c2250b22b169f291147
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 29 11:25:26 2015 +1000

    Support the new Lenovo X1 Carbon 3rd trackpoint buttons
    
    This device has the trackpoint buttons wired up to the touchpad to send BTN_0,
    BTN_1 and BTN_2 for left, right, middle. This conflicts with previous
    touchpads that used those event codes for dedicated scroll buttons.
    
    Add an option HasTrackpointButtons that can be set via a xorg.conf.d
    snippets. This option is not intended as a user-set option, rather
    we expect distributions to ship some conglomerate of udev/hal rules with
    xorg.conf snippets that take effect.
    
    If the option is set, we look at the three affected buttons at the beginning
    of HandleState and send button events immediately for them. The HW state is
    reset to neutral and other processing continues. This saves us from having to
    synchronize these buttons with software buttons (also present on this device),
    tapping, etc.
    
    Since the buttons are physically different and (mentally) associated with the
    trackpoint device we also don't need to worry about having finger motion event
    correctly synced up with the button presses - it's acceptable to send the
    presses before the motion events.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Tested-by: Benjamin Tissoires <benjamin.tissoires@gmail.com>

commit a357647d3fb918b94efbda98138fb0240a949ef2
Author: Gabriele Mazzotta <gabriele.mzt@gmail.com>
Date:   Thu Jan 15 22:04:16 2015 +0100

    Update machine state diagram
    
    The diagram didn't entirely reflect the current state of the code.
    
    Signed-off-by: Gabriele Mazzotta <gabriele.mzt@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 383355fa5f536205759f10efa99eaec4e5089376
Author: Gabriele Mazzotta <gabriele.mzt@gmail.com>
Date:   Fri Jan 9 17:01:42 2015 +0100

    Remove FastTap leftovers
    
    FastTap was removed with d14ea867ad5d ("Purge fast-taps option"),
    remove all of what remained.
    
    Signed-off-by: Gabriele Mazzotta <gabriele.mzt@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a05894d169be42f03d21fb8287da902d8c24c566
Author: Gabriele Mazzotta <gabriele.mzt@gmail.com>
Date:   Wed Jan 7 14:12:33 2015 +0100

    Don't assume that touch devices report per finger width and pressure
    
    The palm detection relies on both the width and the pressure.
    a897147be04 ("Use ABS_MT events for the palm detection when supported")
    assumed that all the touch devices can report both ABS_MT_TOUCH_MAJOR
    and ABS_MT_PRESSURE, but this is not necessarily true. This assumption
    could hence break the palm detection when at least one of the mentioned
    events is not declared but both ABS_TOOL_WIDTH and ABS_PRESSURE are
    reported.
    
    Signed-off-by: Gabriele Mazzotta <gabriele.mzt@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a897147be04d74ed452cda166fd4e01f9615ff72
Author: Gabriele Mazzotta <gabriele.mzt@gmail.com>
Date:   Tue Sep 16 17:20:15 2014 +0200

    Use ABS_MT events for the palm detection when supported
    
    Use ABS_MT_TOUCH_MAJOR and ABS_MT_PRESSURE instead of ABS_TOOL_WIDTH
    and ABS_PRESSURE when supported so that the pressure and the width of
    all the fingers is taken into account for the palm detection.
    
    This also fixes the palm detection for those touchpads for which the
    kernel only sends ABS_MT_TOUCH_MAJOR and not ABS_TOOL_WIDTH.
    
    Signed-off-by: Gabriele Mazzotta <gabriele.mzt@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 41b2312c006fca1f24e1a366174d3203a63fa04a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Sep 16 08:52:56 2014 +1000

    Limit the movement to 20 mm per event
    
    Touchpads are limited by a fixed sampling rate (usually 80Hz). Some finger
    changes may happen too fast for this sampling rate, resulting in two distinct
    event sequences:
    * finger 1 up and finger 2 down in the same EV_SYN frame. Synaptics sees one
      finger down before and after and the changed coordinates
    * finger 1 up and finger 2 down _between_ two EV_SYN frames. Synaptics sees one
      touchpoint move from f1 position to f2 position.
    
    That move causes a large cursor jump. The former could be solved (with
    difficulty) by adding fake EV_SYN handling after releasing touchpoints but
    that won't fix the latter case.
    
    So as a solution for now limit the finger movement to 20mm per event.
    Tests on a T440 and an x220 showed that this is just above what a reasonable
    finger movement would trigger. If a movement is greater than that limit, reset
    it to 0/0.
    
    On devices without resolution, use 0.25 of the touchpad's diagonal instead.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 049611bd7f04e285909c55807478306cce83385f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Sep 16 10:44:40 2014 +1000

    Prohibit negative or zero x/y resolutions
    
    Default resolution is 1, don't allow setting 0 to avoid divisions by 0 or
    just general weirdness.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit afbbcfa10eb3a2295823720907f35bb59972dd82
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 5 15:14:47 2014 +1000

    When resetting, reset the open slots to -1
    
    open_slots holds the slot index, resetting it to 0 is a bad idea. And make
    sure that we do reset after DEVICE_INIT. We already do so on DEVICE_CLOSE, but
    after the first DEVICE_ON the data could still be random.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit d239f831f17ccf5468f5dc6b2f199a9c1f6e35af
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 5 14:24:29 2014 +1000

    eventcomm: add missing axis labels to avoid array overrun
    
    And warn when we run out of labels.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 4d3d761799436e80fbcf0d99797eed35e68c90d2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 5 14:15:46 2014 +1000

    Shut up a coverity warning
    
    xf86-input-synaptics-1.8.0/src/synaptics.c:498: var_compare_op: Comparing
    "end_str" to null implies that "end_str" might be null.
    
    end_str can't be null, so no need for this check and no need to get Coverity
    all confused.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit 536e17c83e565ddba9c7c5a4cd613edf8378e9aa
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 5 14:13:08 2014 +1000

    Mark some switch case fallthroughs with comments
    
    Just to make it explicit
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>

commit ec0901e5f81d9cad6cc8bbdcb5ea075009c13de5
Author: Gabriele Mazzotta <gabriele.mzt@gmail.com>
Date:   Thu Aug 14 20:03:42 2014 +0200

    Use cumulative relative touch movements while scrolling
    
    Signed-off-by: Gabriele Mazzotta <gabriele.mzt@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 90d19302306f49722e210227b2fb5161e6f51880
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 28 14:13:38 2014 +1000

    eventcomm: ensure we're on the same clock as the server
    
    Default on evdev devices is CLOCK_REALTIME. If that clock falls behind the
    server's CLOCK_MONOTONIC, motion after a clickpad click may be delayed by the
    difference in the clocks.
    
    In detail:
    When the timer func is triggered, GetTimeInMillis() which is CLOCK_MONOTONIC,
    is stored as hwState->millis. The eventcomm backend uses struct
    input_event time (CLOCK_REALTIME).
    
    When we read events from the device, if the evdev time is less than the server
    time, the fix for (#48777) sets the current event time to hwState->millis.
    Until the evdev time overtakes that stored time, all events have the
    hwState->millis time.
    
    If during that time a clickpad triggers a physical click,
    clickpad_click_millis is set to hwState->millis + the ignore-motion timeout.
    Thus, all motion is ignored until the event time overtakes that stored
    time.
    
    The whole issue is further enhanced by us unconditionally setting the timer
    func if we get any events, which is a separate issue anyway.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 96e60a4ea242d2decf109835981ae186cc36f642
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 29 07:57:41 2014 +1000

    Include xorg-server.h to fix build errors on newest glibc
    
    In file included from /usr/include/string.h:634:0,
                     from /usr/include/xorg/os.h:53,
                     from /usr/include/xorg/misc.h:115,
                     from /usr/include/xorg/xf86str.h:37,
                     from /usr/include/xorg/xf86Xinput.h:54,
                     from synproto.h:36,
                     from synproto.c:24:
    /usr/include/xorg/os.h:579:1: error: expected identifier or '(' before '__extension__'
     strndup(const char *str, size_t n);
    
    See http://lists.freedesktop.org/archives/xorg-devel/2014-July/043070.html
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 68d22ecf145bb9073121fd3a9fc1fdd0f880e48b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 28 16:50:18 2014 +1000

    Silence two compiler warnings
    
    Potentially uninitialized, false positive in both cases.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7d0ff39519e4d3760722b914883bee276035061c
Author: Gabriele Mazzotta <gabriele.mzt@gmail.com>
Date:   Sun Jul 27 12:58:18 2014 +0200

    Prevent two-finger taps from being ignored
    
    When two fingers are used, the coordinates of only one of them is taken into
    account. This can lead to sudden variations of the absolute coordinates when
    two-fingers taps are performed if the finger considered changes.
    
    Take into account coordinates variations to prevent unwanted taps only if
    the number of fingers doesn't change.
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a36edf8307ab9b5bffca103dd875623a66012c0b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 15 08:34:55 2014 +1000

    Use libevdev's per-device logging functions instead of the global handler
    
    Per-device logging functions don't interfere with other drivers if they also
    use libevdev, so use those instead the global log handler if available. If not
    available, drop libevdev logging, I don't want to maintain the ifdef mess and
    the logging doesn't give us _that_ much benefit.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c1457c0f71e30c194180164320759849fa09bf9b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 29 14:44:43 2014 +1000

    synaptics 1.8.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 730101223432f60397c61f74a5e6789b3ee34ecd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 6 12:04:14 2014 +1000

    conf: increase top software button area to 15%
    
    We had reports that the top software button area is hard to hit for those
    using the trackpoint and clicking the buttons with their thumb.
    
    Analysis of event recordings (3 different people) for left, right and middle
    clicks shows that there is a significant amount of events up to about 10mm
    (with outliers up to 12mm) from the top of the touchpad. That maps to 15%.
    
    Interestingly, the middle button does not seem to need this, presumably the
    haptic feedback of the little dots sticking out from the surface make hitting
    the button easier. Its size is increased to 15% anyway, for simplicity and
    because a sample set of 3 is too small to be definitive about this.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit ddd8844a47bfa28974e40fc9aec9b17656415a6c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 19 08:06:46 2014 +1000

    eventcomm: Drop requirement for a grab during init
    
    When we required a grab on the device, this was a shortcut so we didn't have
    to query the device only to realise we can't read events off it anyway. Now
    that we don't actually grab the device by default, this is unnecessary.
    
    Something else may have a temporary grab on the device during init, in which
    case we just continue as usual and read events if and when they become
    available.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 3a4cc96590ca0e0ff526a5e5406f29a402bddd1a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 13 11:20:25 2014 +1000

    synaptics 1.8.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d4d7229c41a20cf6757882a24f45e28d936a27c5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 30 13:08:53 2014 +1000

    conf: drop the PNPID matching from the fdi file
    
    Rely on INPUT_PROP_TOP_BUTTONPAD and default button areas as well.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a31ecb669f40d8db3ab1867eaedfe364bbd6fafe
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 30 07:45:34 2014 +1000

    synaptics 1.7.99.2
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit efa424b5c9c084c1c1136a68329709c7dc9ddfda
Author: Clinton Sprain <clintonsprain@gmail.com>
Date:   Tue Apr 29 19:47:17 2014 -0500

    Fix product ID cutoff for MODEL_APPLETOUCH/MODEL_UNIBODY_MACBOOK
    
    Some Macbooks are being tagged as MODEL_UNIBODY_MACBOOKs when they should not
    be. This causes the default sensitivity to be very low for them, making the
    touchpad almost unusable. This change puts those devices into the correct
    bucket again.
    
    Signed-off-by: Clinton Sprain <clintonsprain@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7bf27568417691e772e715f8fc6c30ea7ec892d6
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Tue Apr 22 18:58:11 2014 +0200

    Add support for INPUT_PROP_TOPBUTTONPAD
    
    Add a HasSecondaryButtons boolean config option which defaults to true for
    devices with the INPUT_PROP_TOPBUTTONPAD and false for all other devices.
    
    Only parse the SecondarySoftButtonAreas when this option is true, effectively
    disabling the top buttons when it is false. Likewise, only initialize the
    SecondarySoftButtonAreas property if we enable support for it.
    
    This means that it is now safe to always set a SecondarySoftButtonAreas
    default in 50-synaptics.conf, and that he section which was intended for
    use with future pnp-id matching can be dropped, as that is now all handled
    in the kernel.
    
    While at also remove the comment about disabling the bottom edge area, as that
    is now done automatically.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 41afac2abf12dd74a171f726b57014f7fb266957
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Apr 29 12:13:10 2014 +1000

    man: add some missing quotes
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a6f0f4c9a5bcb0e25343dd4c59d4cc47cc5e8006
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Fri Apr 11 20:41:36 2014 +0200

    Always count tripletap + click as 3 fingerclick on pads with < 3 touches
    
    When trying to do a 3 fingerclick on a touchpad which only tracks 2 touches,
    this may register as a 3 or 2 fingerclick depending on the order in which
    the touchpad detects the fingers. If the 2 outer fingers of the 3 get seen
    first, then the 2 touches will be too far apart for the heuristic to see
    them as being close together, and the click gets counted as a 2 finger click.
    
    A user will likely never do a 2 finger click with a 3th finger resting
    somewhere else on the pad, where-as the above misdetection of the clicks is
    a real issue, so simply always count a click with trippletap set as a
    3 finger click on pads which track less then 3 touches.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1086218
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f183c1c38778b659b4c75a0e2c532dd5a9f8d437
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 9 10:41:29 2014 +1000

    conf: add more PnPIDs and DMI matches for Lenovos
    
    And expand DMI strings to more precise matches
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 62ef210d11714703345dc8d35915ff53c37aee01
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 7 16:16:13 2014 +1000

    Comment the touch states
    
    Everytime I look at this I get confused about OPEN_EMPTY vs EMPTY. Let's fix
    that.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit bfceb1bc580656aceb14e4b0f880bfcb3e4bc368
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 4 15:51:22 2014 +1000

    eventcomm: Hook up the libevdev log handler
    
    This is a bit problematic: libevdev only has one global log handler.
    So if we have another driver use libevdev, we'll either overwrite that handler
    or get overwritten, whichever comes first. So we need to re-set the handler
    every time we get an event to make sure we log through our handler.
    Likewise, if we ever drop the device, we need to unset the log handler back to
    NULL because we may unload the module and our handler may disappear.
    
    Use the lowest logging priority, let the server filter based on the verbosity
    level instead.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 6ad856790630393bbd41b0bd7746ed9b0629a7c6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 3 16:41:15 2014 +1000

    eventcomm: read one more event after finishing a sync
    
    Once the sync finishes, we get -EAGAIN. This only indicates the sync is done,
    but some events may still be waiting in the pipe for us to read. We must read
    those now, otherwise select may not trigger on further data.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit bec41416dbbee73eef9eee122d0acacc148e329d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 3 15:42:45 2014 +1000

    eventcomm: drop superflous helper function
    
    last_mt_vals_slot is only used in one location and there we can just use
    cur_slot
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit f1948e08ee9894864254a18098e4f4fceb6e322f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 19 15:08:15 2014 +1000

    Disable GrabEventDevice by default
    
    This was required when we started supporting hotplugging to avoid duplicate
    events. These days the drawback of not being able to record events in the case
    of a bug is significant.
    
    Check the configuration source on init. If the device was hotplugged through a
    a server config backend, disable the grab. If the device was statically
    configured through an xorg.conf then leave the default grab enabled to avoid
    a duplicate device.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit fd709900445e3cb9f31ce7e780bfa98ecb6dab9b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 18 07:28:44 2014 +1000

    synaptics 1.7.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dc5474964d4ec73b5c324961026e1037bb344946
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 17 14:55:37 2014 +1000

    If the touchpad is in TOUCHPAD_OFF mode, allow physical clicks
    
    Enabling clicks in off mode also allows for the new Lenovo *40 series to use
    the top software buttons while the touchpad is disabled. This benefits those
    that usually disable touchpads altogether but still need the buttons for the
    trackstick.
    
    This changes existing behaviour, but TouchpadOff was always intended to stop
    erroneous events while typing. Physical button presses are hard to trigger
    accidentally. On the touchpads that TouchpadOff concept was originally
    designed for the buttons are nowhere near the keyboard and are physically
    separated from the touchpad anyway. On Clickpads, triggering a physical
    click requires more force than accidentally touching the surface.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=76156
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 4122db68f61c695eae3a65aec18db08b29898b6a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 13 08:26:08 2014 +1000

    conf: automatically enable the top softbutton area for the new Lenovos
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 18dae625eada20c4486542f9bb037fa2782d75bd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Aug 5 14:32:08 2012 +1000

    conf: apply ClickPad softbuttons option through fdi file too (fixed version)
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f2cb48e6eee47fa621edaaf2f75b495b12f6eb55
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 13 10:14:40 2014 +1000

    Revert "conf: apply ClickPad softbuttons option through fdi file too"
    
    Bad fdi file, type="string" is missing and it wouldn't merge properly.
    
    This reverts commit a35b2d629d85d7a8c82621a5098a17e5ffb341dc.

commit a35b2d629d85d7a8c82621a5098a17e5ffb341dc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Aug 5 14:32:08 2012 +1000

    conf: apply ClickPad softbuttons option through fdi file too
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 17bbcad28000bbd896a33047c0720ada89e05f5d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 12 14:11:29 2014 +1000

    Revert "Add another third state to TouchpadOff for disabling all but button clicks"
    
    This third state is not needed, the behaviour of the touchpad driver is now
    good enough to not need an external syndaemon instance to toggle this third
    state.
    
    This reverts commit eea73358760c7ff9c9dac061f265753637c6f25c.
    
    Conflicts:
            man/synaptics.man
            src/synaptics.c
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b40a5255fe73f7f95c8ff7145dd91605f3430119
Author: Stephen Chandler Paul <thatslyude@gmail.com>
Date:   Mon Mar 10 18:33:20 2014 -0400

    Don't allow any type of movement starting in the top softbutton area
    
    Clicking in the top soft button area causes the trackpad to begin
    registering motion, even if the finger never leaves the top soft button
    area. We don't want this kind of behavior for the top soft button area,
    since it makes clicking and dragging items much more difficult when
    using a pointing stick.
    
    Signed-off-by: Stephen Chandler Paul <thatslyude@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9a419ba01c53a38b4b601f4415801fca29a2b4e2
Author: Stephen Chandler Paul <thatslyude@gmail.com>
Date:   Mon Mar 10 18:25:20 2014 -0400

    Replace is_inside_anybutton_area with current_button_area
    
    Signed-off-by: Stephen Chandler Paul <thatslyude@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2e5c0cf4395a0cf7b024495deab75f4ebe949e9a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 10 16:43:54 2014 +1000

    eventcomm: drop mtdev
    
    All kernel touchpad devices now support slots, there isn't really a need to
    support protocol A devices in synaptics. If such devices exist, we just treat
    them as non-multitouch devices.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Benjamin Tissoires <benjamin.tissoires@gmail.com>

commit c90a76ab0e752be0be4d9d835289df05d783f979
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 10 16:35:45 2014 +1000

    eventcomm: drop some use of mtdev
    
    When checking the device don't open a new mtdev instance, use the existing
    libevdev struct.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Benjamin Tissoires <benjamin.tissoires@gmail.com>

commit 5b7e1726369d4973859996f225bec743c2e21288
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 10 16:42:34 2014 +1000

    eventcomm: drop calculation of slot offset
    
    The kernel guarantees slots start at 0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Benjamin Tissoires <benjamin.tissoires@gmail.com>

commit 040dfeba6886b8e910fb6b347c283e60fe24a147
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 11 14:50:01 2014 +1000

    eventcomm: fix wrong event code for SYN_REPORT
    
    This was supposed to emulate a SYN_REPORT event so that the upper layers
    process what's in the queue.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Benjamin Tissoires <benjamin.tissoires@gmail.com>

commit 66240dc329683f0141c1e11590ea2c3d8ca25788
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 10 09:07:59 2014 +1000

    Add property support for secondary (top) software buttons
    
    This was originally intended as a fixed xorg.conf option only (and still
    largely is seen as such). Secondary software button are required only on a specific series
    of touchpads and should be pre-configured by the system and/or the
    distribution. As such, the property will not be initialized if it is not set
    in the xorg.conf and will thus not respond to runtime changes.
    
    Exposing the property in this way gives clients a chance of detecting if a top
    software button area is present and thus adjust their behaviour accordingly.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>

commit 80efc2f54f11a4d45411951f7055bfec2ed40fee
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Sat Mar 8 10:41:14 2014 +0100

    synaptics: Add support for server managed fds
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c431d900f54696f608312ea51b1fa671839f7d42
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 26 15:30:55 2014 +1000

    man: fix documentation about the new touchpad state
    
    leftover from an earlier revision
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bbe4c56c4998a90b478581a4d93717251d8e05be
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Fri Feb 21 10:31:44 2014 +0100

    Wait for *new* coordinates on a clickpad click before reporting the click
    
    It is possible for a click to get reported before any related touch events
    get reported, here is the relevant part of an evemu-record session on a T440s:
    
    E: 3.985585 0000 0000 0000      # ------------ SYN_REPORT (0) ----------
    E: 3.997419 0003 0039 -001      # EV_ABS / ABS_MT_TRACKING_ID   -1
    E: 3.997419 0001 014a 0000      # EV_KEY / BTN_TOUCH            0
    E: 3.997419 0003 0018 0000      # EV_ABS / ABS_PRESSURE         0
    E: 3.997419 0001 0145 0000      # EV_KEY / BTN_TOOL_FINGER      0
    E: 3.997419 0000 0000 0000      # ------------ SYN_REPORT (0) ----------
    E: 5.117881 0001 0110 0001      # EV_KEY / BTN_LEFT             1
    E: 5.117881 0000 0000 0000      # ------------ SYN_REPORT (0) ----------
    E: 5.133422 0003 0039 0187      # EV_ABS / ABS_MT_TRACKING_ID   187
    E: 5.133422 0003 0035 3098      # EV_ABS / ABS_MT_POSITION_X    3098
    E: 5.133422 0003 0036 3282      # EV_ABS / ABS_MT_POSITION_Y    3282
    E: 5.133422 0003 003a 0046      # EV_ABS / ABS_MT_PRESSURE      46
    E: 5.133422 0001 014a 0001      # EV_KEY / BTN_TOUCH            1
    E: 5.133422 0003 0000 3102      # EV_ABS / ABS_X                3102
    E: 5.133422 0003 0001 3282      # EV_ABS / ABS_Y                3282
    E: 5.133422 0003 0018 0046      # EV_ABS / ABS_PRESSURE         46
    E: 5.133422 0001 0145 0001      # EV_KEY / BTN_TOOL_FINGER      1
    E: 5.133422 0000 0000 0000      # ------------ SYN_REPORT (0) ----------
    
    Notice the BTN_LEFT event all by itself!
    
    If this happens, it may lead to the following problem scenario:
    -touch the touchpad in its right click area
    -let go of the touchpad
    -rapidly click in the middle area, so that BTN_LEFT gets reported before the
     new coordinates (such as seen in the trace above, this may require some
     practicing with evemu-record to reproduce)
    -the driver registers the click as a right click because it uses the
     old coordinates from the cumulative coordinates to determine the
     click location
    
    This commit fixes this by:
    1) Resetting the cumulative coordinates not only when no button is pressed,
       but also when there is no finger touching the touchpad, so that when
       we do get a touch the cumulative coordinates start at the right place
    2) Delaying processing the BTN_LEFT down transition if there is no finger
       touching the touchpad
    
    This approach has one downside, if we wrongly identify a touchpad as
    a clickpad, then the left button won't work unless the user touches the
    touchpad while clicking the left button.
    
    If we want we can fix this by doing something like this:
    1) Making update_hw_button_state return a delay; and
    2) Tracking that we've delayed BTN_LEFT down transition processing; and
    3) When we've delayed BTN_LEFT down transition return a small delay value; and
    4) If when we're called again we still don't have a finger down, just
       treat the click as a BTN_LEFT
    
    But this is not worth the trouble IMHO, the proper thing to do in this
    scenario is to fix the mis-identification of the touchpad as a clickpad.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 743c45b9cfd057d00c37dab1cfca4b6202fb2642
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Fri Feb 21 10:31:43 2014 +0100

    On button down update cumulative to current x and y, instead of previous
    
    When a button click and new coordinates get reported in one go we sync the
    cumulative coordinates to the old x and y, rather then the newly reported ones.
    
    This keeping of the old coordinates causes the following issue:
    -touch the touchpad in its right click area
    -let go of the touchpad
    -rapidly click in the left click area (or middle area), so that the
     new location and the click get reported in one syn (may require some
     practicing with evemu-record to reproduce)
    -the driver registers the click as a right click because it uses the
     old coordinates from the cumulative coordinates to determine the
     click location
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 71652fe1f0800b081ba5602e9edda22a8d8d628e
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Fri Feb 21 10:31:42 2014 +0100

    Ignore motion the first X ms after a clickpad click
    
    This fixes my #1 anoyance with clickpads, where 2 out of 3 clicks turn into
    a click + drag unless I hold my finger really really still.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    
    Replaced property with a hardcoded 100ms. This is not something that we should
    expose as property, we should find a delay that works best and live with it.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3adaf4623845dce54129b6474f4f8f2966f9bc47
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Fri Feb 21 10:31:41 2014 +0100

    Don't report motion inside soft-button areas
    
    Unless the motion has started outside the soft-button area.
    
    Note that we must start reporting motions regardless of whether we think we're
    in the button area or not as soon as we've switched to using cumulative
    coordinates, since then the coordinates are no longer absolute.
    
    This fixes the reporting of unintended motion just before a click in a soft
    button area which sometimes causes mis-clicks.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit effeee86c1c286cd09ab750efc4932790dd560dd
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Fri Feb 21 10:31:40 2014 +0100

    Get rid of old_hw_state
    
    We only use it to store button state which we already have in
    priv->lastButtons.
    
    While at it also properly indent the code block checking the various
    soft button areas.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 840670508e0150ae11ae744c676253c7fba332dc
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Fri Feb 21 10:31:39 2014 +0100

    Add an enum for the different soft_button_areas
    
    While at it also move the enum for the soft button edges out of
    is_inside_button_area() so that it can be used elsewhere too.
    
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit eea73358760c7ff9c9dac061f265753637c6f25c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 21 10:31:37 2014 +0100

    Add another third state to TouchpadOff for disabling all but button clicks
    
    On a new set of laptops like the Lenovo T440 the trackstick does not have
    physical buttons. Instead, the touchpad's top edge is supposed to acts
    software button area. To avoid spurious cursor jumps when the trackstick is in
    use and the finger is resting on the touchpad, add another mode that disables
    motion events.
    
    Enabled by syndaemon with -t click-only, the default stays unchanged. No
    specific integration with the traditional disable-while-typing is needed. On
    such touchpads, disabling motion events is sufficient to avoid spurious
    events and we don't want to stop HW buttons to send events.
    
    Note that this only adds the new state to the driver and to syndaemon, there
    is nothing hooked up otherwise to actually monitor the trackstick.
    
    Special note for syndaemon: optional arguments are a GNU extension, so work
    around it by messing with an optstring starting with ":" which allows us to
    manually parse the options.
    
    Original version of this patch by John Pham <jhnphm@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ac78616d074f2d248543411c106f0d1befeef58d
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 22 01:44:38 2014 -0800

    When re-opening evdev, set the fd before trying to grab
    
    If we try to grab the evdev device before we've set the new file
    descriptor, libevdev_grab returns -EFAULT, which causes DeviceOn to
    fail.
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 22fe8bdc6668e78853768c62f4d1331114c7eca0
Author: Keith Packard <keithp@keithp.com>
Date:   Sat Feb 22 01:44:37 2014 -0800

    Close device if DeviceOnHook fails
    
    Signed-off-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 402cc872570b58b8420e7973d0706f3b2a2aaf91
Author: Benjamin Tissoires <benjamin.tissoires@redhat.com>
Date:   Thu Feb 20 13:13:18 2014 -0500

    Add secondary (top) software buttons area
    
    New generation of laptops with trackstick do not have physical buttons
    associated with the trackstick, but instead rely on software buttons at
    the top of the clickpad.
    Adding a secondary software button area for this purpose.
    As we're likely detecting the devices that need it based on udev tags
    and MatchTag configuration items, this area doesn't need to be exposed
    through properties. So static configuration is fine.
    
    Signed-off-by: Benjamin Tissoires <benjamin.tissoires@redhat.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    
    [couple of man-page additions and rewrites]
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 945acfc261707be78cbc5438c22b061e20076004
Author: Hans de Goede <hdegoede@redhat.com>
Date:   Wed Feb 19 18:30:35 2014 +0100

    Allow using the entire touchpad for motions started inside the active area
    
    synaptics offers an option to make parts of the touchpad insensitive. This
    is ie useful to do palm avoidance rather then palm detection (which may be
    unreliable) by disabling an area of 15% on the right and left side of the
    touchpad.
    
    Currently a motion which has started inside the active area, stops as soon
    as it moves outside of the active area.
    
    If a motion started inside the active area and thus has already generated some
    move events, this makes no sense. If the user moves outside of the active
    area in this case, this is very likely because the user wants to continue
    the motion.
    
    This commit allows such motions to continue normally.
    
    I would like to thank Juerd Waalboer for the basic idea, some coding and lots
    of testing for this fix.
    
    Cc: Juerd Waalboer <juerd@tnx.nl>
    Reported-by: Juerd Waalboer <juerd@tnx.nl>
    Tested-by: Juerd Waalboer <juerd@tnx.nl>
    Signed-off-by: Hans de Goede <hdegoede@redhat.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2ea76fad6545a712713de1a09965158805e83c55
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Feb 18 10:14:37 2014 +1000

    man: setting scroll deltas to 0 doesn't work (#75074)
    
    6d47d33 disallows a zero value for horizontal/vertical scroll deltas but the
    man page wasn't updated. We've added separate toggles to enable/disable
    scrolling a few years ago, setting the distance to 0 is not recommended.
    
    X.Org Bug 75074 <http://bugs.freedesktop.org/show_bug.cgi?id=75074>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4f543ce1d6ae9ca11086a3009d149505590584a8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Feb 13 14:55:12 2014 +1000

    Revert "Drop circular pad support"
    
    This reverts commit 3b02e7fd81da4b100fb9ac32378f6d50f54cf0e2.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    
    Conflicts:
            man/synaptics.man
            src/synaptics.c
    
    Acked-by: Daniel Stone <daniel@fooishbar.org>

commit 5d8cdaf4b1552c12fe6626059b9af4a6da6491e9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 10 08:57:19 2014 +1000

    Drop the half-baked test suite
    
    This suite was never really maintained anyway, and it is quite hard to do so
    anyway. The driver is linked to the server's API too tightly to easily do
    independent testing. We need to re-implement stubs for the API the driver
    uses, have to track API changes, etc. Not worth the effort.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e0069c154440305ece6def92a9813a9f8004b2fb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 17 08:24:35 2014 +1000

    Revert "Purge scrollbuttons (repeat)"
    
    This reverts commit 0903d99ada1755f11a2a5cbf89a345de896e18ec.
    
    Scroll buttons are still present in some modern devices, e.g. the Fujitsu
    Lifebook E782 and others in the series.
    
    Conflicts:
            include/synaptics.h
            man/synaptics.man
            src/synaptics.c

commit 48fbf44a3903bc6975add21be35586914a53c310
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 17 08:18:03 2014 +1000

    Bump to 1.7.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 51b6bf3c1083638527b18696c2b682fd78c97070
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Dec 16 09:43:40 2013 +1000

    On clickpads with two touchpoints, try to detect clickfinger 3 actions
    
    Some touchpads provide BTN_TOOL_TRIPLETAP but do not track more than two
    touchpoints. For those, try to detect clickfinger3 actions as best as we can.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    (cherry picked from commit 9388b54a109bbd634e05611e6c90110d698f13d1)

commit 49fe70e99d1b0932ab915824c78f952a0fdb3ee7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 3 11:23:22 2014 +1000

    Fix ABI detection for in-driver scaling
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 29318c1d94510cfb6d5d712e912af111f99edb42
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Dec 5 09:31:11 2013 +1000

    Add missing property handler for the pressure motion factor
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5d391e352f4e502ada6444a7ce860683e3480fbf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 4 07:58:26 2013 +1000

    eventcomm: ungrab the device on DeviceOff
    
    For symmetry, the kernel should ungrab when we close the fd.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3b9267e5a67a153675174818114e390e17c61f2d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Nov 6 10:52:55 2013 +1000

    Drop edge speed from get_delta
    
    Always 0 anyway, and the feature was purged in
    xf86-input-synaptics-1.6.0-8-g54f65f3
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0fc2679c4d148f9753e1964d7df8b00dc94401f6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Nov 4 15:23:39 2013 +1000

    autogen.sh: support NOCONFIGURE=1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 03b4faeadfb50b26452dd2f494540b0f5a8b7399
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Nov 4 15:22:31 2013 +1000

    Drop maintainer mode
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 41840a656f5c790b49fe798b9d99136c23e09a5f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed May 29 15:07:44 2013 +1000

    Switch to libevdev for the eventcomm backend
    
    This has a potential bug that would need to be fixed in mtdev first:
    if we get a SYN_DROPPED and we miss out on events, the current code emulates a
    normal EV_SYN, feeds that to mtdev and hopes that that fills the mtdev output
    queue.
    
    If mtdev doesn't generate events on that EV_SYN, we're stuck in limbo and may
    get weird results. The loop will continue and sync the device, but there's the
    off chance we get odd events.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0fb59b3487d57523a03f078a2061e2ea0cacbc7c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jul 19 11:08:43 2013 +1000

    Disable driver scaling for input ABI 19.2
    
    For absolute devices in relative mode, i.e. touchpads, the server now takes
    device resolution into account. Doing so means that the driver mustn't
    scale, so we deactivate those bits in the driver.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 96cf04dce19e7c90bc05b8b3b192b5bfb97381d2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 13 10:03:48 2013 +1000

    synaptics 1.7.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3bd40423b26ab692174ddcdd12489467ba876926
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 9 11:09:51 2013 +1000

    Plug memory leak for priv->touch_axes
    
    Allocated in event_query_touch, was never freed.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit eb50f8023e9ce11c3f0249ef9ddf398a1d983c84
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 9 11:06:12 2013 +1000

    Plug memory leak for option_string
    
    xf86SetStrOption() returns a strdup'd string that must be freed after use.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dave Airlie <airlied@redhat.com>

commit 7cc0ebf0858ebb505d933839f25bb269a8cdb764
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 26 10:09:10 2013 +1000

    Fix stack smash in clickpad_guess_clickfingers()
    
    Apple Magic Trackpad can report 16 slots. In clickpad_guess_clickfingers()
    the array allocated on the stack contains only 10 slots.
    As (.num_mt_mask == .num_slots), the function writes out of the bounds
    of close_point.
    
    Use a size 32 bitmask instead and warn if we ever get past 32 touchpoints.
    
    This fixes:
    https://bugzilla.redhat.com/show_bug.cgi?id=952221
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reported-by: Benjamin Tissoires <benjamin.tissoires@redhat.com>

commit ac47b4ea5b4f7b920b84a1e70adce3475e3be346
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 3 10:50:50 2013 +1000

    Allow soft button areas to overlap on the edge
    
    For percent-based configuration in the form of
    middle button 33%-66%, right button 66%-0 we'd get an error because of the
    one device unit overlap. This was neither documented nor useful, because
    leaving a 1% gap leaves an actual gap between the buttons. Allow for an
    overlap of one device unit on the edge of the buttons.
    
    What's picked in that case depends on the implementation of
    is_inside_softbutton_area but since one device unit is so small, it doesn't
    matter.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 368d96f4dfd4605b80d039ec4508c906c3723cf7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 3 10:50:21 2013 +1000

    man: clarify that 0, not 0% disables the softbutton area
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 148afc2dd55bb5d256d8b251542c90bcca7aaf84
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 3 10:34:28 2013 +1000

    Improve readability of the soft button areas
    
    Replace the hardcoded indices with enums that are somewhat expressive.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 691e8db4d8a5e35eb31f62d1e54523917e2830cd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Apr 2 13:12:09 2013 +1000

    synaptics 1.7.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 43e98fe4909dbb1b82b486f2831a38d9db0c8957
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 26 15:26:42 2013 +1000

    synclient: use a parameter that actually exists in the man page example
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5b49e4ad6cead80679405933603ff99ac00089b7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 26 15:24:56 2013 +1000

    synclient: drop XF86Config-4 from man page
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 109ce14ae11f6a6afb66ddc683c7071ebbf9d352
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 26 15:21:54 2013 +1000

    syndaemon: list -? in help/man page
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit eb5f086f29ed5e45cbbaad73a04a7275ab119d03
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 26 15:18:03 2013 +1000

    synclient: support -? for usage
    
    man page and help claim we support this, so let's do so
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d0590052873d6ce7c28e6e99b6aad33cf6dff944
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 26 15:13:06 2013 +1000

    synclient: remove 'm' and 'h' from getopt and man page
    
    Removed as of 83d88b253139f9c92d619e7ad7c3981138893536
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d771cf75b101a741e29ba0765050936f52f1bca2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 26 15:12:29 2013 +1000

    tools: drop -s listing in synclient's help output. SHM is gone.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 43575f387865007e7ab3ed45088add62b674318d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 25 16:49:05 2013 +1000

    eventcomm: print axis resolution to the log
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4cdee40054b2d6e222a7efb427f0f35479c04ec3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jan 31 09:27:19 2013 +1000

    Replace numerical values with an enum for the TouchpadOff prop
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2159b5d26207c83efea6efca7fa5765df95a4219
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jan 4 16:08:47 2013 +1000

    conf: add example for AreaBottomEdge on clickpad buttons
    
    Those that use clickpad buttons as buttons can see cursor jumps as the press
    on the touchpad - largely caused by the finger changing shape as the
    pressure changes and thus moving the hotspot.
    
    Simple fix is to define the clickpad soft button areas as dead areas, but
    this cannot be set as general option as it would break for those that use
    tapping.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ce7565ea6683f594f1f2ab5769bf60b1337d70bd
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 29 03:24:52 2012 +0000

    Free mtdev device as well as closing it
    
    mtdev_close_delete() is to mtdev_new_open() as mtdev_close() is to
    mtdev_open().  So, since we're using mtdev_new_open(), we need to use
    mtdev_close_delete() instead of just mtdev_close() to actually free
    everything.
    
    Fixes an eventual failure to open the touchpad device after a lot of
    suspend/resume cycles.
    
    [whot: amended to mtdev_close_delete in evdev_query_touch]
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a5ac54f60af96b9b862425ccd8b6c7afaa4937e4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Dec 21 10:37:34 2012 +1000

    Allow dead areas to update the button state
    
    On clickpads, a dead area helps prevent pointer movement when the buttons
    are pressed. Thus check for the button state before resetting the hw state
    in case we get a right-click in the soft button area.
    
    For clickfinger, the effect is that clickfinger events are now triggered if
    the finger rests in the dead area.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 86460318ba5606ef41712b52e50bf7b2ba083226
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 23 16:22:31 2012 +1000

    Recognise the soft button area property before clickpad is enabled
    
    Otherwise the driver has no internal reference to the soft button area
    property and will ignore any setting.
    
    Also, if a client sets this property, we claim it as our own and disallow
    deletion.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3cb14dcccf5574366d90e24f351e3ad04b35e35f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 8 11:10:44 2012 +1000

    test: drop xf86CheckStrOption from fake symbols
    
    The tests don't need this symbol anymore.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 89cffd403b798a96d36b8d47a202f30ef1023e63
Author: Samuel Thibault <samuel.thibault@ens-lyon.org>
Date:   Sat Sep 15 23:52:13 2012 +0200

    Enable ps2comm and alpscomm build on GNU/Hurd
    
    Signed-off-by: Samuel Thibault <samuel.thibault@ens-lyon.org>

commit a245d42f53096b1ae81e6702729f97ca508e5b5b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 30 16:38:38 2012 +1000

    Reset num_active_touches on DeviceOff (#52496)
    
    When disabling the device, reset num_active_touches to zero. Otherwise,
    num_active_touches stays at the value it was on DeviceOff(). Future touches
    add to that value until the index may go past priv->open_slots[].
    That causes spurious memory corruption on touch ends.
    
    And as of 55fc42e7c9b4948cadd4f98ef7b6a3b12e268e3e we ignore pre-existing
    touches anyway.
    
    Test-case:
    - place num_touches fingers on the touchpad
    - xinput disable <device>
    - lift fingers
    - xinput enable <device>
    - place finger on device, num_active_touches is now (num_touches + 1)
    
    X.Org Bug 52496 <http://bugs.freedesktop.org/show_bug.cgi?id=52496>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit e28575b29b394b38f1d92b75353fc0fe82838b7c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 25 14:20:39 2012 +1000

    Use LogMessageVerbSigSafe on ABI 18
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 001097476a67057124536b753bbbef047961bab5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 1 13:33:41 2012 +1000

    Decorate the accel log messages with (accel)
    
    The MinSpeed message already does so, do it for MaxSpeed and AccelFactor
    too.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 01456336976213cec724533e13c41f1908491e58
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 22 15:59:32 2012 +1000

    eventcomm: proto_data is not null, don't check
    
    We allocate it just a few lines north of here, and already dereferenced it.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 33c5bfc702645e603312aeb5380c53afeaad1dce
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jun 22 15:55:23 2012 +1000

    eventcomm: simplify conditions
    
    As of 3f9794a8a0f019a4b153941c9ec1927c7797ce6f, slot_index is always >= 0
    when we get to either of these conditions.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 0e222876d7da7acbaaf955c2e7b7efdf3549bde9
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Fri Jun 8 13:53:38 2012 -0700

    Turn down the default sensitivity for unibody MacBook touchpads
    
    The touchpads are too sensitive by default. A touch is activated when a
    finger hovers a millimeter off the device. This change turns down the
    default sensitivity so that accidental touchpad interactions are
    lessened and pointer interaction accuracy is increased.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4fa880d2b1e1805e90827af5bbb483e268ac68a3
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Fri Jun 8 13:53:37 2012 -0700

    Add MODEL_UNIBODY_MACBOOK touchpad model for bcm5974 devices
    
    Initially, treat them the same as MODEL_APPLETOUCH devices, as that is
    what they were recognized as before.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 43c9be99c1fd35c2974e0db41cad9f7b875fb6c9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 18 14:32:31 2012 +1000

    Remove leftover HAVE_SMOOTH_SCROLL typedef
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 51f99d0adcb6ffab6eb5b2220d02b6b66a978983
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 17 17:38:20 2012 +1000

    Move properties header to where it's needed
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit d45394559a89bee49758ea7d42d00c471727f4f5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 17 16:32:32 2012 +1000

    ps2comm: use ErrorF from PS2DBG directly
    
    And switch a few current DBG messages to PS2DBG to have one ps/2 debugging
    output command.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 7decf4666fcc7a0a1c3a070abec876439dc8f376
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 21 10:54:19 2012 +1000

    Fix indentation for the synaptics protocol ops
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit f3abb163c3c216f48a5f4624b12c32e496336513
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 21 10:35:47 2012 +1000

    check for HAVE_CONFIG_H before including config.h
    
    No real effect, just for correctness. Plus, move the include directive up to
    be the first include.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit e6ca6521b4e880c6a314a880e73039e574a02c28
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed May 23 14:22:32 2012 +1000

    Un-typedef model_lookup_t
    
    Long-term, structs will be structs without typedef. This one is the easiest
    one to convert, the rest follows later.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 9ae890cf4e5df184f68799d534fa6aa67c36301b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed May 23 14:23:00 2012 +1000

    tools: un-typedef TouchpadState
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 0d9996da02493bed8931663bb3d724e30bd56877
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed May 23 13:51:14 2012 +1000

    Remove typedefs from all enums
    
    We currently mix non-typedef'd and typedef'd enums in the code. Stop this
    mixing, remove typedefs to make the code more obvious.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 29bc1a8a5e0d12dadaed3f9d162bcc6b7913250a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 21 16:01:42 2012 +1000

    Remove an unused define for 1/sqrt(2)
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 3621ef8a2b02da5ef303b80e26ec46b4a89cb9da
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 21 14:05:01 2012 +1000

    DeviceOn and friends return a status code, not a bool
    
    No functional changes, just making things more obvious.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1770c8a7e82099753c4eb743868cde8c4228d531
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 18 16:08:08 2012 +1000

    Remove @DRIVER_NAME@ from Makefile.am
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 64faedf49fe952e48a07434381fbf826a1cbed41
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 18 16:31:55 2012 +1000

    Fix indentation mishap
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a9d247d076b3d0d1df84f013b3733bd6297dd79b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 17 15:52:50 2012 +1000

    Remove absolute mode
    
    Moving a touchpad in absolute mode is unusual - touchpads are disconnected
    from the output device, so direct interaction is hard. There appears to be
    little usage of it (I haven't seen bug reports from people claiming to use
    it). Joe Shaw, author of the code and only known user doesn't have a use for
    it anymore, so purge it from the repo.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 6d47d334d8a876e7e094306c313246b87016b78a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 17 12:10:04 2012 +1000

    Don't allow for scroll distances of 0 (#49965)
    
    It'll either hang the server or blow up with divisions by 0, whichever one
    comes first.
    
    X.Org Bug 49965 <http://bugs.freedesktop.org/show_bug.cgi?id=49965>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit cd569377cda9b5a4ee00c0137db14f625c76c40f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 17 11:02:02 2012 +1000

    Reset hw->x/y to INT_MIN and skip HandleState until we have x/y events
    
    The driver assumes x/y is always valid but after coming from a resume we may
    get a few events with either ABS_X or ABS_Y (not both). Thus we process with
    hw->x == 0 and hw->y == somevalue, causing cursor jumps when calculating
    deltas whenver the real hw->x comes in.
    
    Fix this by resetting hw->x/y to INT_MIN and skip state processing until
    both axes are available.
    
    For clickpads, this means handling of data will be delayed until we get
    at least one motion on each axis. Button presses won't be recognised either
    until that happens. It requires some skill to not trigger motion on both
    axes, even more to press a button without doing so.
    
    For non-clickpads, handling of motion events will be delayed likewise. If a
    physical button is pressed immediately after resume we have to assume deltas
    of x/y.
    - If the next event is a new touch, it will have ABS_X/ABS_Y set anyway
    - If the finger was already down, a button event is generated, and the
      finger has generated ABS_X or ABS_Y only before the event, the next event
      containing the missing data will cause a jump. The fix for this is more
      invasive and this is quite a corner-case.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 0054b144f3daf00e46a35b2f165befb209df94fc
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed May 16 07:49:25 2012 -0700

    Reset open slots array on device disable
    
    The open slots array is used for clickpad cumulative delta computation.
    If the array is not reset and becomes corrupted during the device
    disable/enable cycle, the cumulative deltas may be wrong. This manifests
    as jumpy cursor behavior on some clickpads after suspend/resume.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 53557a5cab1e253dc8f4393207954ae0fe76068f
Author: Chun Yang <Chuck.Yang@gmail.com>
Date:   Tue May 15 14:51:42 2012 -0500

    Fix coasting for negative ScrollDelta
    
    Fix the coasting direction for when VertScrollDelta or HorizScrollDelta is
    negative.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=49966
    
    Regression introduced in 0de4445ff8e75aab208faf6383e76045934c6720
    
    Signed-off-by: Chun Yang <Chuck.Yang@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1ee5bd0af6ac5c1b95d99f27f407223cd460fdb8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 15 11:22:43 2012 +1000

    Remove defunct HAVE_MULTITOUCH compiler warning
    
    Seems like this was a rebase gone wrong, HAVE_MULTITOUCH was removed in
    3430f4af41184752d698dcbf4919469e36b3216c
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 55fc42e7c9b4948cadd4f98ef7b6a3b12e268e3e
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Mon May 14 10:20:01 2012 -0700

    Ignore pre-existing touches
    
    If a touch is physically active when the device is enabled, then all
    events for that touch must be ignored. In particular, we cannot close
    the touch or we will decrement touch count counters below zero. If these
    counters go below zero memory corruption can occur.
    
    Note that a device is disabled and enabled every time the user types on
    the keyboard if synclient is used to disable the trackpad while typing.
    This is a very common option.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 77d766b1d535dff9a27c7db343ede85d9f44850b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 11 12:27:39 2012 +1000

    Avoid out-of-bounds access by running num_active_touches < 0 (#49439)
    
    If a touch is active during driver init, the slot will be set to
    SLOTSTATE_CLOSE when it finishes. That could decrease num_active_touches to
    less than 0, causing out-of-bounds access.
    
    X.Org Bug 49439 <http://bugs.freedesktop.org/show_bug.cgi?id=49439>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 0352c67fa2a7224b5a3bf03a934b3c7af42b4f51
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 11 10:54:47 2012 +1000

    tools: coasting speed is not capped at 20, cap it at 255
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0de4445ff8e75aab208faf6383e76045934c6720
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed May 9 14:26:40 2012 +1000

    Fix coasting speed trigger
    
    CoastingSpeed is defined as scrolls/s. The previous code just used
    delta/seconds which depended on the device coordinate range and exceeded the
    default CoastingSpeed at almost any scroll event.
    
    Divide the estimated delta by the scroll distance to get the accurate
    scrolls/s number. Since that now changes the contents of what's in
    coast_speed_y, change the users of that too.
    
    http://bugzilla.redhat.com/813686
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a1d6784d790f081f8a6ea3a10d3cfa578aa10d5b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed May 9 12:23:46 2012 +1000

    Don't check for soft buttons if a button is already down
    
    Moving into a different soft button's area during drag-n-drop would trigger
    a click of that button.
    
    We only have the current button state and we mess with it, so the conditions
    for a possible clickpad soft-button event are:
    - hw->left is down now
    - none of left|right|middle were down before. since we change hw->left to
      hw->right/left we need to check all three
    
    If hw->left is down but one of the other buttons was already down, copy that
    button state and continue.
    
    http://bugzilla.redhat.com/819348
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 4d4d859296b93f1e2bd1c059f5864f19d87de58a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 8 08:19:48 2012 +1000

    Rename force_empty parameter to set_slot_empty
    
    Original version of d13e83b921a398b9472b07874cf5061c8a0ea6a6 had
    'force_empty', the rename only covered the definition, not the declaration
    of the function.
    
    No functional changes.
    
    Reported-by: Nicola Soranzo <nsoranzo@tiscali.it>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b6f3ccd40237d2d8df653f0dcba2ca7336c13f2b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 23 16:27:42 2012 +1000

    Format Makefile.am, drop @DRIVER_NAME@.c usage
    
    The driver name doesn't change often enough for this to warrant it.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Chase Douglas <chase.douglas@canonical.com>

commit ebd36c7494062e9f9a47fcd20148de886ebdd46a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 23 16:25:54 2012 +1000

    Move synaptics.h leftovers to synapticsstr.h, drop synaptics.h
    
    This leaves us with a duplicated define for the maxbuttons but I'll live
    with that for now.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Chase Douglas <chase.douglas@canonical.com>

commit 3430f4af41184752d698dcbf4919469e36b3216c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 23 16:19:18 2012 +1000

    Require xserver 1.12 and inputproto 2.2
    
    This drops conditional compilation of multitouch support, smooth scrolling
    support and old ABIs.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Chase Douglas <chase.douglas@canonical.com>

commit 13611cd34e267370690e06bef6a02064927c2078
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 23 16:11:59 2012 +1000

    Update various Red Hat copyrights
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Chase Douglas <chase.douglas@canonical.com>

commit 3b02e7fd81da4b100fb9ac32378f6d50f54cf0e2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Feb 5 22:50:47 2012 +1000

    Drop circular pad support
    
    Do such devices still exist?
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Chase Douglas <chase.douglas@canonical.com>

commit 0903d99ada1755f11a2a5cbf89a345de896e18ec
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Feb 5 00:54:59 2012 +1000

    Purge scrollbuttons (repeat)
    
    I doubt devices that have scrollbuttons are still manufactured. Having
    untested code around is just asking for trouble.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Chase Douglas <chase.douglas@canonical.com>

commit 54f65f3ca1f7a7118bea96915d79acee28721581
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Feb 5 00:46:48 2012 +1000

    Purge edge motion
    
    A funny feature, but unreliable and mostly untested.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Chase Douglas <chase.douglas@canonical.com>

commit d14ea867ad5d6f8a758a18223e457e1a56fa6065
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Feb 5 00:42:36 2012 +1000

    Purge fast-taps option
    
    This driver has too many options, maintaining them is hard and testing
    virtually doesn't happen.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Chase Douglas <chase.douglas@canonical.com>

commit 2c7eab5a6d28cf8bbf34fba79601dac4e6e37d7e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Feb 4 23:32:56 2012 +1000

    Drop trackstick emulation mode
    
    "Trackstick emulation mode? That exists?" I hear you say? Yes, indeed. Well,
    no, not anymore. This driver is already unmaintainable without features like
    this.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Chase Douglas <chase.douglas@canonical.com>

commit 83d88b253139f9c92d619e7ad7c3981138893536
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Feb 4 23:35:53 2012 +1000

    Bury shm - or what was left of it
    
    SHM configuration was removed in Apr 2009 (c09a3d50e9), since then it has
    only been usedful for debugging. And we have better tools (evtest) for
    debugging hardware events.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Chase Douglas <chase.douglas@canonical.com>

commit 6dea359bc8f507eb46293f7fe5041b0cd6d0dbaa
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 10 09:24:56 2012 +1000

    Bump to 1.6.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4e8ddb3a6f1ba1f7642f0a23d6f22a8c40d68cf0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 3 12:00:50 2012 +1000

    whitespace fix
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit d1eebac72e4a5cc7a67efead13fbd32f9cd1fbd9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 3 14:21:24 2012 +1000

    tools: undo indentation in synclient's parameter list
    
    more more readable this way
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 0434d7776640861d0c8c19a02c2445d2f61627f8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 3 11:49:31 2012 +1000

    Indent consistently
    
    x-indent-all.sh from xorg/util/modular as of
    c2d630fab65dbe3409af3947f6f442782ddb026f
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit a1162f80324c379bc7581e53275e8ff6d569f8b0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 3 08:06:32 2012 +1000

    synaptics 1.6.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 52e194b76c9598e0fbf556e3aa97168ed4f0e2b6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed May 2 10:16:30 2012 +1000

    Fix coasting for negative scroll directions
    
    1874094f0e99d8db319f6cf769ce5a25c9bc490c introduced negative scroll
    directions. Coasting assumed always-positive increments and triggered an
    endless scrolling loop.
    
    Reported-by: Matthias Clasen <mclasen@redhat.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 6f086b86e4bd3c720289e91fdbb933bf3e559e72
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed May 2 09:16:27 2012 +1000

    Fail if no backends can be found
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 655d3100fc3f06e714ec4aa01607d86509952e4b
Author: Niveditha Rau <niveditha.rau@oracle.com>
Date:   Mon Apr 30 14:51:07 2012 -0700

    Include a build for solaris
    
    Signed-off-by: Niveditha Rau <niveditha.rau@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d13e83b921a398b9472b07874cf5061c8a0ea6a6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 30 11:39:49 2012 +1000

    Force SLOTSTATE_EMPTY on DeviceOff
    
    SLOTSTATE_OPEN_EMPTY on resume leads to erroneously detected touches.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit cc595bd323aab2b0ef7b41fded2f0b5571cf0a8e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 30 10:47:14 2012 +1000

    Reset all hardware state on DEVICE_OFF (#49161)
    
    Reset all state on DeviceOff to avoid stuck buttons on resume.
    
    X.Org Bug 49161 <http://bugs.freedesktop.org/show_bug.cgi?id=49161>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit e19fff64f76200291c22d6b822bb4e8b06816745
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 30 09:30:53 2012 +1000

    man: fix hyphenation
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3cc828b4764c101f9acd0db9ee3638036ec7a948
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 30 09:28:39 2012 +1000

    man: drop mention of shm configuration
    
    SHM is for debugging only now, not configuration.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 085662e9fe13d46b9633f1b7b9e8f95bacdec30c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 27 09:20:56 2012 +1000

    synaptics 1.5.99.904
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 58581bfbecfc15e7fa63c2fa4be20d2b0654f9b8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 26 12:00:49 2012 +1000

    Reset scroll delta when no finger is touching
    
    Provides for a more consistent scrolling experience, otherwise delta
    leftovers may trigger extra events even when the actual scrolling action
    stays the same.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 1a76d9f00e1e54ba912a47aa665968e0cfe1b8a0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 26 11:47:19 2012 +1000

    Don't unconditionally divide by scroll_dist_vert (#46617)
    
    Regression introduced in cddab79c408db3b13905a2be72aff4f7bf1406f8.
    
    If an event has a delta of less than scroll_dist_vert, the delta is
    unconditionally divided by the distance, leaving some remainder close to 0
    and never actually triggering the scroll amount.
    
    Fix this by working with the increment, not the normalised values.
    
    X.Org Bug 46617 <http://bugs.freedesktop.org/show_bug.cgi?id=46617>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit ba31b09ba8aff6b8f3b0590e724183b0d2802ffc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 26 10:03:28 2012 +1000

    ClickPad is most definitely a bool option.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit f0c2f1d82a21de315a0088dd28ffeb394cf32c8e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 26 09:27:05 2012 +1000

    Init num_touches to 0 on start
    
    We implicitly rely on this already since we calloc the struct. Do it
    expliclity on DeviceOn().
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 9ecf505c6473c65cd850a58b1b6eeb86f7d390e6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Apr 24 15:31:36 2012 +1000

    Reset touch state on DeviceOff (#49161)
    
    Don't leave touches lingering around during suspend.
    
    Test case:
    1) leave finger on touchpad
    2) xinput set-prop "SynPS/2 Synaptics TouchPad" "Device Enabled" 0
    3) lift fingers
    4) xinput set-prop "SynPS/2 Synaptics TouchPad" "Device Enabled" 1
    
    X.Org Bug 49161 <http://bugs.freedesktop.org/show_bug.cgi?id=49161>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit f300adb027b856c944e0e25d0f32948823fe6b62
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Mon Apr 23 15:39:57 2012 -0700

    Update src/synproto.c license to the preferred MIT/X11 license
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5a176dc23d7dfb4648fef50ac0af144026b45078
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 20 11:13:16 2012 +1000

    Don't release the button on TS_3 if TapAndDrag is disabled (#31854)
    
    TS_3 is second tap down. Unconditionally set the button as down, later, in
    HandleTapProcessing we have the required conditions to reset it to TS_START
    and TBS_BUTTON_UP.
    
    Meanwhile, TBS_BUTTON_DOWN stays down, so the second tap is counted and sent
    as button event. This restores double-tapping if TapAndDrag is disabled.
    
    X.Org Bug 31854 <http://bugs.freedesktop.org/show_bug.cgi?id=31854>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0322d301844a7e78fc9aa4ec6493bf50bc7f926c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Apr 20 11:10:47 2012 +1000

    Print millis as unsigned int
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3822d58777768b351940e58d8608ba9ab877d134
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 19 16:39:41 2012 +1000

    Ensure hw millis are monotonic (#48777)
    
    The eventcomm backend takes the timestamp from the kernel, but the timer
    uses the timer's "now". This timestamp may be later than the one from the
    next event we read from the kernel, causing a negative dtime in get_delta()
    and a cursor jump by (unsigned int)-1.
    
    Ensure that the new event's timestamp is at least the last used one.
    
    X.Org Bug 48777 <http://bugs.freedesktop.org/show_bug.cgi?id=48777>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Tested-by: Gavin Troy <gavtroy@gmail.com>

commit 11d8929647a67258ca86121a45ea638ca7299237
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 18 09:30:06 2012 +1000

    man: move ClickPad documentation into a single area
    
    Having to read only one section is a tad easier than collecting the separate
    options.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 1c155f644824133315ac5b3dac9076db71430eb6
Author: Chow Loong Jin <hyperair@debian.org>
Date:   Mon Apr 16 11:39:44 2012 +0800

    Fix coasting friction
    
    As a result of commit 5a1612d4496b51682c9043aa064025c545249de6, coasting speed
    was bumped up to a different scale by removing the divisor during the
    calculation of initial coasting speed. This caused coasting friction to have
    little to no effect, resulting in coasting that lasted virtually forever using
    the default coasting friction value of 50.
    
    This patch multiplies the scroll_dist_{horiz,vert} which was previously used as
    a divisor for initial coasting speed to the coasting friction before deducting
    it at each step, thus bringing coasting friction back under control.
    
    Signed-off-by: Chow Loong Jin <hyperair@debian.org>
    Tested-by: <Magnus.Kessler@gmx.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 50124d3ddf9bbc4be6734b47a273dbd46b4db0ba
Author: Pierre LulÃ© <pierre@lule.fr>
Date:   Mon Apr 16 12:01:56 2012 +0200

    Stop coasting when two-finger scroll begins
    
    There is currently a problem that can lead the coasting to continue while scrolling in a particular situation :
    with
     Option "VertTwoFingerScroll" "on"
     Option "CornerCoasting" "0"
     Option "CoastingSpeed" "10"
     Option "CoastingFriction" "50"
     Option "CornerCoasting" "0"
    If you scroll down with two finger then raise a finger, coasting will start. But if you put down that finger and try to
    scroll up, the inertia will still scroll down while you scroll up. This can look like a very particular situation, but
    happens to me often while scrolling in a big document.
    
    This (awfully simple) patch stop coasting when detecting two-finger scroll.
    
    Signed-off-by: Pierre LulÃ© <pierre@lule.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d90003383cbec75da88bf1a88b886b1131597f3f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Apr 16 16:47:38 2012 +1000

    synaptics 1.5.99.903
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1874094f0e99d8db319f6cf769ce5a25c9bc490c
Author: Alyssa Hung <ahung@isisview.org>
Date:   Fri Apr 13 01:04:38 2012 -0400

    Support inverted scroll direction.
    
    This patch allows scroll direction to be inverted by allowing
    VertScrollDelta and HorizScrollDelta to be set to negative values. This
    enables behaviour that is consistent with modern touchscreen devices,
    where the content scrolls in the same direction as the user's finger
    movement.
    
    Signed-off-by: Alyssa Hung <ahung@isisview.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 38b93b71c812c6d7b7085f40d049b0a4927e52dd
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Mon Apr 2 11:23:05 2012 -0700

    Use maximum number of touches reported by evdev
    
    This resolves a regression from da461b91659d0c64aa6827e065aee2682116a57e
    where three touch tap and click actions on certain devices no longer
    work.
    
    Some devices report a higher touch count than the number of touches they
    can provide data for. For example, many Synaptics touchpads can report
    up to five touches, but only provide data for two of them. We need to be
    able to report the correct number of touches for these devices when
    there are three touches. Using the maximum of the reported touch count
    and the number of touches provided ensures the count is accurate for all
    device types.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5a1612d4496b51682c9043aa064025c545249de6
Author: Pierre LulÃ© <pierre@lule.fr>
Date:   Wed Mar 28 00:13:30 2012 +0200

    Fix coasting speed
    
    Fixes a bug introduced in commit 2603ad69b997c999404ecc441e0d64ea2cc22018
    (Use the scroll distances as increment for scrolling valuator axes)
    
    Since this commit, scroll distance was set with SetScrollValuator function
    but it was still used as a divisor to calculate coasting,
    thus making coasting too slow. (at least on my computer)
    
    Deleting the divisor fixes the issue.
    
    A report of the same bug : https://bugs.archlinux.org/task/28955
    
    Signed-off-by: Pierre LulÃ© <pierre@lule.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f68ddd9be4202333a1c3ccf536966a96dc0bfde7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Apr 10 13:06:49 2012 +1000

    Don't count fingers twice when guessing distance (#48316)
    
    A finger may be closer than the required distance to more than one finger.
    e.g. for fingers A, B, C, AB, AC and BC may trigger the check and count
    C twice -resulting in a 4 finger click.
    
    Avoid double-counting by marking those fingers already close enough to a
    previous finger to avoid overcounting.
    
    X.Org Bug 48316 <http://bugs.freedesktop.org/show_bug.cgi?id=48316>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit c745604461541c7b21779c60c9bd09ff1a390df2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 11 10:15:07 2012 +1000

    tools: skip non-existing properties
    
    If a property doesn't exist on a device, skip it.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 8e297cb586ab855dc7c018c6f3f2f42c08db0419
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Apr 10 13:03:35 2012 +1000

    Replace hardcoded max number of touches with a define.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 3f9794a8a0f019a4b153941c9ec1927c7797ce6f
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Mon Apr 9 11:38:16 2012 -0700

    Check touch record bounds before access
    
    We guess ten simultaneous touches if the device does not tell us. The
    Linux drivers for the Apple multitouch trackpads do not tell the number
    of simultaneous touches, but they can do more than ten. When this
    occurs, the array index into the touch records will be invalid. We must
    not process the touch or else we will segfault.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4c87455f3ecd1b82a3612a3050e463a0efb90f0c
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Fri Mar 23 10:51:59 2012 -0700

    Do not perform a tap action when more than three touches
    
    Though this looks like a behavior change, it really isn't since the
    maximum tap_max_fingers that was previously possible was already handled.
    The only real change is that if a tap is recognized but the
    tap_max_fingers is zero, a tap will no longer be emitted. This shouldn't
    happen in the real world.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit da461b91659d0c64aa6827e065aee2682116a57e
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Fri Mar 23 10:51:58 2012 -0700

    Count number of multitouch touches for multitouch finger count
    
    The evdev protocol only goes up to three touches for non-multitouch
    devices. If you perform a four touch tap, the finger count will only go
    up to three touches if you roll your fingers, or will always be 0 if all
    four touches land at the same time.
    
    This change ensures the correct finger count is reported.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bc95d90be17d52726b85c785a8e7503512e8fa3d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Mar 24 19:52:35 2012 +1000

    Define various EVIOCGPROP bits if non-existent
    
    And make the ioctl conditional.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 291fdc69801c91310839fc8667ba7aa2e9a66b95
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 23 15:45:10 2012 +1000

    conf: the bcm5974 doesn't have Apple in the product name
    
    But it's still a single-button device from the known fruit manufacturer.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4a80c0dc38ea4dafcb112191c2dd7e0082193263
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 23 10:38:20 2012 +1000

    synaptics 1.5.99.902
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b6779458bcdb049480310ba1acb3991ad061ffc7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 22 15:15:47 2012 +1000

    conf: enable right-button click by default on non-Apple clickpads
    
    The right-half of the bottom 18% of the touchpad are enabled as right button
    by default. On Apple touchpads (these don't have marking for the right
    button) disable them by default.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c9cf8827b129a553ad3cd3d7ee6f463a6e94227d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 22 15:20:45 2012 +1000

    use xf86SetStrOption for SoftButtonAreas
    
    This way the option is reported in the log when parsed.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cea97dd5e09b165c2a4b2bbbb5741a03f152ed37
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 14 16:47:26 2012 +1000

    Allow soft button areas to be specified in % of the touchpad
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit b3348eb7e4e2187e11aa3c1cec2a58512759e6aa
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Mar 21 12:58:30 2012 -0700

    Include open but unchanged touches when guessing clickfingers
    
    On a clickpad, when the button is pressed the clickfinger guessing will
    only work properly if all touches have new data to report. If a touch
    has not changed, then it will not be counted. This leads to inaccurate
    finger counts.
    
    This change ensures that all active touches are counted. Note that the X
    and Y valuators of active but unchanged touches are still valid.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit eba82d203e5e817a61180c6510d8de0d063ed05d
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Mar 21 12:58:29 2012 -0700

    Keep track of which touch slots are open
    
    This change adds a new touch slot state that denotes when the slot is
    open but does not have any new data to report.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 73ec252b6f2d25cc49557b1d3789b459b60b8d4e
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Mar 21 12:58:28 2012 -0700

    Fix clickfinger actions when buttons other than 1 are reported
    
    The "old" logical state now holds the clickfinger action button. In
    order to check for proper clickpad press transition, we need to check if
    any of the left, middle, and right logical button states are pressed.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 93c72117e169624854f6eb63591702d7e4dae97c
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Mar 21 12:58:27 2012 -0700

    Fix clickfinger actions when middle button emulation is enabled
    
    When MBE is enabled, a physical left button press is delayed until a
    timeout is reached. This results in the logical left button being
    depressed while the physical left button is pressed. The physical state
    is stored as the "old" hw state, and it is used for detecting a
    transition from depressed to pressed for clickfinger actions. Since the
    "old" hw state shows the left button pressed, but the current logical
    state shows the left button unpressed, when the MBE timeout fires and we
    set the logical left button pressed the transition check fails.
    
    Since the "old" hw state is only used for clickfinger left button press
    transitions, redefining it to hold the previous logical hw state is
    sufficient for fixing the bug and should not cause any regressions.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5cde789fcafaed47c2533c4315e5c7d5548605f5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 14 13:24:32 2012 +1000

    Fix inverted circular scrolling direction
    
    Introduced in 26831a6eeac6762ad4d99532f62ebbab0827de10.
    In said commit, the old-style button events were changed to delta
    accumulation. Alas, for circular scrolling, a positive delta is up whereas
    for everything else a positive delta is down.
    
    Reported-by: Thomas BÃ¤chler <thomas@archlinux.org>
    Tested-by: Thomas BÃ¤chler <thomas@archlinux.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit dd650a064b98b1c325a38e1370cc11059c257b07
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 14 08:56:45 2012 +1000

    synaptics 1.5.99.901
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6c457c0c61a0834361f45a073148db7b4c9be40b
Merge: defc1d0 fee18d8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 14 08:48:00 2012 +1000

    Merge branch 'clickpad-v3'

commit fee18d8567efd2e5abf6b29eb1ae9ee0e3858013
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 13 16:08:12 2012 +1000

    Soft buttons are only available on clickpad devices, disable them otherwise.
    
    If the clickpad support is runtime enabled/disabled, the property
    appears/disappears accordingly.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit c546779b32d8be23475b3b062e3ebc9235365c0d
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 9 16:56:29 2012 -0800

    Ignore motion during touch count changes on semi-mt devices
    
    Semi-mt devices do not track touches. The locations of touches are
    unknown, we only have the bounding box of two of them. When the number of
    fingers changes, the bounding box coordinates may change as well, but
    the cumulative relative motion updates at that instant are invalid.
    
    To work around this, ignore changes in cumulative relative motion if the
    touch count changes.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 405f1643e26b57ee97063e76e71179ba8e9fbc92
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Mon Feb 6 17:33:11 2012 -0800

    Add soft button areas property
    
    Some clickpad devices have button areas painted on them. Set this
    property to the area of the right and middle buttons to enable proper
    click actions when clicking in the areas.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f198522064501726d76bef4e11c02cfc778bb0c5
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 9 11:18:25 2012 -0800

    Calculate touch data for semi-mt devices, but don't send touch events
    
    Previously, all touch data from semi-mt devices was ignored because the
    X server doesn't support them. However, the touch data must be used for
    proper clickpad handling.
    
    Instead of ignoring semi-mt device touch events, mark the device as
    being semi-mt and allow initialization of the touch state. The touches
    will then be used in calculating the cumulative_d{x,y} values that are
    needed for clickpad support.
    
    When handling the touch data for X event processing, simply skip over
    reporting the touches.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a6361e2d2c093c4170bab63307526702fe9903ad
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Feb 14 14:46:07 2012 -0800

    Disable scrolling when beginning a clickpad press
    
    There really isn't a point to scrolling while a clickpad is pressed. In
    particular, the clickpad button areas and the horizontal edge scrolling
    areas overlap, so horizontal edge scrolling must be disabled. Also,
    performing two finger scrolling while a third finger presses the button
    would require us to inhibit touch events until four touches are present.
    That is enough reason to disable two finger scrolling as well.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit de75ad6b073c1a36d5a60190de5ffe6611520637
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 9 10:57:00 2012 -0800

    Enable clickpad click and drag with two fingers
    
    Use cumulative relative touch motion when the clickpad is pressed. If
    more than one touch is active, assume one of the touches is designated
    solely for pressing the clickpad button. Thus, decrement the number of
    reported touches.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 500243ac60ffeb5372e2edbce2f4443a07877d2e
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 9 10:43:08 2012 -0800

    Add cumulative_d{x,y} to SynapticsHwState
    
    These values will be used for clickpad press and drag with two fingers.
    
    While the clickpad button is not pressed, cumulative_d{x,y} will match x
    and y values. Once the clickpad button is pressed, cumulative_d{x,y}
    will be updated with the relative motion of each active touch on the
    touchpad. This allows for dragging with one finger while another finger
    stays stationary holding the clickpad button down.
    
    This is an easier and less latent approach than trying to guess which
    touch was the "dragging" touch.
    
    [fixed build error for mt off]
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 420e0abef663729b3ce6e9d26360e616b7270ba6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 9 14:30:58 2012 +1000

    Guess the number of clickpad ClickFingers based on finger distance
    
    The actual distance should be done in cm, based on touchpad resolution etc.
    That is left as an exercise for the reader.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 739cf056685772e69744f009f567e54324bc9dd0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 9 15:33:56 2012 +1000

    Disable middle mouse button emulation on clickpads
    
    Because, well, really, how?
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 331dd969536aad48fae107e2215bfdd3e95db77e
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 9 11:26:06 2012 -0800

    Add clickpad device property
    
    Add it as a writable device property. We may not know how to probe some
    clickpads so allow the user to override it.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a64e1632836067091be5ca45d0444c416bf48948
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 9 15:38:25 2012 +1000

    Add a BTN_EMULATED_FLAG to mark emulated buttons on clickfingers
    
    And when copying the hardware state, don't copy those buttons that were set
    through emulation.
    
    This is a temporary fix only, we should add new fields to the hw struct that
    represent the various features as they are enabled/disabled and then treat
    them accordingly.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 70b4e983c6626b9b20bdf59324f64b3fd99c5202
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 9 14:29:28 2012 +1000

    Only handle ClickFingers on left button press events
    
    ClickFingers doesn't need to be handled on every state, only when the actual
    button state changes.
    
    This is a break from the previous behaviour which allowed pressing the
    button followed by a two-finger tap to trigger the ClickFinger2 action.
    Let's see if anyone complains.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit f6c1efbc6d22f41fb8a4abd2f57db173a2ac3171
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 9 14:20:35 2012 +1000

    Add an old_hw_state field to remember the last values
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit bad1b75524f2fa882e9b6ac7160463fbd3b5cccf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 9 13:43:04 2012 +1000

    Move resetting hw state to separate function.
    
    No functional changes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit f0381f48a9383313e65508ec710b5c690b16286a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 9 13:39:32 2012 +1000

    Move filtering into a separate function
    
    No functional changes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 4eea50d513bca888d8fe13759d0cc44de67bc4c0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 9 13:25:27 2012 +1000

    Move st->mt scaling to helper function
    
    No functional changes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 5bf7018783d1a96c9fac7a9074274e9b8606604d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 9 13:22:53 2012 +1000

    Use arrays for st->mt scaling
    
    No functional changes
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 893ac427d0a7952c0f949071296fc2255790465e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 13 11:41:53 2012 +1000

    If the middle button timeout is 0, don't even attempt to emulate.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit defc1d008e5674306a7e9b9cb0c750d9787990b7
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 9 16:22:35 2012 -0800

    Don't use linear regression when calculating touchpad motion deltas
    
    The results depend on the data rate of the device. A device with a
    higher data rate, and thus lower individual deltas, will behave
    differently with the regression calculation.
    
    This can be verified on Synaptics semi-mt clickpads. The data rate is
    halved when two or more touches are on the device. When trying to press
    a button and drag the cursor with another touch, the motion will feel
    faster than dragging with only one touch on the device.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7f5bd79b2e361a89a8c2716c218e4ae70b7164b8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 13 11:28:17 2012 +1000

    tools: add hysteresis support to synclient
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 90d6633d11aa3691b6b39df3931a4024b832eb05
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 12 09:45:05 2012 +1000

    Fix build error - duplicate typedef (#47168)
    
    Introduced in c34cf307f9982b62c6e6dfa2687e1b16f527f2a4.
    synapticsstr.h includes synproto.h, which now contains the typedef.
    
    X.Org Bug 47168 <http://bugs.freedesktop.org/show_bug.cgi?id=47168>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit fadf9cf5e8659ca8500faac498327e6cadcd2652
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 9 12:18:46 2012 +1000

    Always require mtdev on eventcomm
    
    Since a missing mtdev disables all of multitouch on eventcomm, we might as
    well always require it.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 65243aedd8512d8cb439f7597862a545e8ca52ea
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 7 09:12:55 2012 +1000

    Fix horiz/vert scroll delta mixup
    
    No effect as both have the same value anyway.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 704c0fa3b677d5d648d0ab9d65cd03043797f3bf
Author: Peter Zotov <whitequark@whitequark.org>
Date:   Fri Mar 2 11:21:36 2012 +1000

    Implement a workaround for Elantech touchpads
    
    All Elantech touchpads report the number of fingers explicitly,
    and at least the v3 version of the hardware can report any
    pressure values down to zero. This interferes with the tap
    detection hysteresis, which is required for dumb touchpads.
    
    This commit implements a vendor-specific workaround for Elantech
    touchpads which sets the FingerLow and FingerHigh options to 1
    by default, effectively disabling the hysteresis mechanism.
    
    Signed-off-by: Peter Zotov <whitequark@whitequark.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit cddab79c408db3b13905a2be72aff4f7bf1406f8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Mar 1 16:27:01 2012 +1000

    Fix scoll increment for non-smooth scrolling (#46617)
    
    Introduced in 2603ad69b997c999404ecc441e0d64ea2cc22018. Previously, the
    delta was incremented by (actual delta/scroll dist), button clicks where
    then sent while (delta-- >= 1).
    
    After 2603ad69b997c999404ecc441e0d64ea2cc22018, the delta was incremented by
    the delta only, scroll dist was used as increment in the smooth scrolling
    information. On non-smooth-scrolling servers, the driver would now send
    too many events. Restore the old behaviour by dividing by the scroll
    distance before entering the button click loop.
    
    X.Org Bug 46617 <http://bugs.freedesktop.org/show_bug.cgi?id=46617>
    
    Tested-by: Peter Zotov <whitequark@whitequark.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0a2fd560aa965ceac64c8fb047ca90006408a6f4
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Feb 21 21:42:16 2012 +0100

    Update touch state when device is off too
    
    If the device is turned off, usually by syndaemon to disable the
    touchpad while the typing, the touch state will not be updated with the
    latest hardware state changes. If a touch begins while the device is
    off and ends while the device is on, then the touch count will be
    decremented without any previous increment. A similar effect will occur
    if the device is on when the touch begins, but off when the touch ends.
    
    If the touch count goes negative, the index into the touch slot mask
    array will be out of bounds. This can corrupt memory and cause random
    crashes.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dfc3a8ed713c2878407c6443c4d3092da3125e0c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Feb 21 11:32:40 2012 +1000

    synclient: accept XA_CARDINAL as 32-bit type (#46330)
    
    PressureMotionMaxZ and PressureMotionMinZ were changed from float to
    XA_CARDINAL in 24c44375025576dd600ccf370ba365e5d94dc22. Accept the new type.
    
    Fixes:
      PressureMotionMinZ      = format mismatch (32)
      PressureMotionMaxZ      = format mismatch (32)
    
    X.Org Bug 46330 <http://bugs.freedesktop.org/show_bug.cgi?id=46330>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c25ff549c9636ad89a81fbf364159c7f040d163b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 17 11:49:43 2012 +1000

    Revert "Don't store fake events in the motion history"
    
    This commit introduced a regression. On some touchpads, the pointer keeps
    moving in the last direction when the finger movement stops but the finger
    is left on the touchpad.
    
    Cause appears to be get_delta() which calculates the deltas based on the
    motion history but has no control flow for the lack of fake motion events
    in the history after this commit. Thus, under some conditions, the delta is
    always non-zero as the history does not change.
    
    Reproducer attached to bug
    https://bugs.freedesktop.org/show_bug.cgi?id=45278#c11
    
    X.Org Bug 45278 <http://bugs.freedesktop.org/show_bug.cgi?id=45278>
    
    This reverts commit c8b098214b44cf0585d78c460401ea7d143769f3.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>

commit 0646cdb99d708e03137afc9aabd8957f3559546a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Feb 17 11:46:12 2012 +1000

    Fix build error if HAVE_MTDEV is false
    
    priv->has_touch is conditional on HAVE_MTDEV
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit f9a906590e59383aef3c53faca98f0de40859f17
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Sat Feb 11 18:57:20 2012 +0100

    Prefer multitouch over single-touch axis ranges
    
    We still use single-touch data in most cases, but sometimes the
    multitouch axes have higher resolution. Since we use the same XI
    valuators to report ST and MT data, we must pick one axis and scale the
    other to match. This change picks the MT axis ranges.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e6032c34515a19ebac09090028f806d82ddfb62d
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 9 10:06:54 2012 -0800

    Filter touch events if two-finger scrolling is enabled
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 796e0d43917de99757c08fd2998134cf6f5583c9
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 9 10:01:49 2012 -0800

    Filter touch events if tap actions are enabled
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 061e4a259644408899e03ba5abdd979691a02b1a
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 9 09:55:17 2012 -0800

    Filter touch events if click actions are enabled
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 336f9a09d090a8c3a9c976ab04ffb17bcdc2c2ea
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Feb 8 15:06:33 2012 -0800

    Move X touch event processing into synaptics.c
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 673c5fa14bff669d82f5711511a37bd3abe75471
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Feb 8 16:08:02 2012 -0800

    Add open_slots array to SynapticsPrivate
    
    Initialize touch stuff in a separate function for readability.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5cb5bb573491058c35bbaac5c4c4fceea4626f57
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Feb 7 14:45:11 2012 -0800

    Add touch valuator mask to hw state structure
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0df994b3d80006d2fb114226d8b488e98d0e03d4
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Feb 8 15:07:38 2012 -0800

    Rename num_touches to max_touches
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5486ab3486e1ba4a0ef8fc9efe4d243ea90f5794
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Feb 7 14:38:33 2012 -0800

    Introduce SynapticsCopyHwState function
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5658a2f643cf7440009dde2fa74287332237c0b9
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Feb 8 16:59:54 2012 -0800

    Allocate priv->hwState
    
    This is needed for when SynapticsHwState can't be allocated on the stack.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7bcbf8eb110b1f7c6c085d3dcd69f66b00df2b8a
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Feb 7 15:35:03 2012 -0800

    Allocate SynapticsPrivate.comm->hwState
    
    This is needed for when SynapticsHwState can't be allocated on the stack.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a78d55d021c9cd3be6501760d6fca3464ea6dec8
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Feb 7 15:23:43 2012 -0800

    Allocate SynapticsHwStruct for local function use
    
    SynapticsHwStruct (SHS) will soon include ValuatorMasks, which can only
    be allocated on the heap. The input driver callbacks are called in
    signal context, so we can't instantiate a new SHS when that occurs.
    Since we only ever need one SHS, allocate one at device init time and
    use it in place of local SHS instances.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e5cd694ed1028b94fdbe10d76dbea1e03455f8fb
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Fri Feb 10 10:24:04 2012 -0800

    Transition eventcomm-test to new SynapticsHwState instantiation scheme
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c34cf307f9982b62c6e6dfa2687e1b16f527f2a4
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Feb 7 15:14:05 2012 -0800

    Introduce SynapticsHwStateAlloc() and SynapticsHwStateFree()
    
    Put them in a new file so eventcomm-test can access them.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 146edc2baad1388f49a7a857c2003faa171876c7
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Fri Feb 10 10:48:44 2012 -0800

    Allocate proto data in eventcomm-test
    
    Provide a helper function for allocating proto data and use it in
    eventcomm-test. This ensures a null pointer for priv->proto_data is not
    dereferenced.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 49f6109032f2ce6171d1aad02672479d2c78c083
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Tue Feb 7 13:07:07 2012 -0800

    Revert "Replace the motion estimator"
    
    The algorithm is completely wrong because it uses subtraction of
    unsigned variables. The negative effects of this commit manifest in
    cursor warps to edges or corners of the screen.
    
    Since the algorithm has never worked right, previous testing must be
    disregarded. Revert it until we have a tested algorithm.
    
    This reverts commit b26125e412a130b7a8f8b6adf9ffc8e9cc8df42c.
    
    Conflicts:
    
            src/synaptics.c
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 141d9120b1ff4a88a09a1df7d63a4854447346ec
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Feb 7 03:33:01 2012 +1000

    Submit the right number of MT axes
    
    For devices with only x/y, num_mt_axes is 0, since x/y are already counted
    elsewhere. The server will then fail to init the TouchClassRec since it
    expects at least 2 touch axes. Fix this, assume we always have at least two
    touch axes if we have any touch axes at all.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit e4ee51e771a6da247362549044a076462791022b
Merge: da0d20d 6b808dc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Feb 7 02:51:08 2012 +1000

    Merge branch 'fixes' of git://people.freedesktop.org/~cndougla/xf86-input-synaptics

commit 6b808dc766a0d1e64e19e4d5fad5f8a1a4e0d62d
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Feb 1 15:23:00 2012 -0800

    Don't initialize semi-multitouch devices for touch device class
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit a8b065eeb847493afd31e49623fac9c952811993
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Feb 1 15:42:21 2012 -0800

    Don't initialize touch state if device does is not multitouch
    
    And don't attempt to use it either.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit 4824f67e7b9cf402a2df10c17f583916c4ef83eb
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Wed Feb 1 14:26:29 2012 -0800

    Don't emit touch sequences if only one touch is active
    
    When a second touch begins, emit a touch begin for the first touch with
    the current valuator values. When a touch ends and we are going from two
    touches down to one touch, end both touches. This ensures we don't send
    a touch sequence at the same time we are moving the pointer.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>

commit da0d20d0fd5cce3707b54146e54e2df0c697e1b4
Author: Benjamin Otte <otte@redhat.com>
Date:   Mon Feb 6 00:45:23 2012 +0100

    eventcomm: Fix initialization code
    
    num_mt_axes contains the number of non-x/y multitouch axes, and the valuator
    mask needs to contains x, y, followed by two empy values for the scroll
    valuators, followed by the remaining MT axes.
    
    https://bugs.freedesktop.org/show_bug.cgi?id=45663
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3822705204f454fea6cc0bf61904c4b7186abee2
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 2 13:19:16 2012 -0800

    Only move the cursor when one touch is on a touchpad
    
    Otherwise, we might post motion events and touch events for the same
    physical interaction.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dfdcf8b34363ed2504347d00957a3606f82c0b0d
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Feb 2 13:19:15 2012 -0800

    Ensure delta computation does not go crazy
    
    I have seen this a couple times, but I haven't been able to catch it
    when it starts. It's a feedback loop, so once you miss the entrance of
    the loop, you can't see what really went wrong.
    
    This patch papers over the issue for now.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 782c7fb6fe20ed21b02808096de12d3cbf1afc8b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 6 23:43:32 2012 +1000

    Remove compiler warning: unused variable "atom"
    
    synaptics.c: In function 'DeviceInit':
    synaptics.c:1161:18: warning: unused variable 'atom' [-Wunused-variable]
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 53adb8399d468d429cd879516aa24a8420f60f60
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sat Feb 4 23:23:28 2012 +1000

    synclient: fix indentation of "format mismatch" parameters
    
    Prefix is 4 spaces, not three.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d15c391544e9ba094b17c9217a837c58d88879f8
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Jan 19 13:05:50 2012 -0800

    eventcomm: Add touch event handling
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit efdc34859bdbcf0622e88aaf8af99944c1fc2141
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Jan 19 13:05:49 2012 -0800

    eventcomm: Read evdev events from mtdev where multitouch is available
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b1b9745979babd480574b41af155dfe5c06591f8
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Jan 19 13:05:48 2012 -0800

    eventcomm: Initialize touch device and axes
    
    Use mtdev to ensure touches are tracked and of evdev MT protocol type
    B.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 56d32619b95eb472104068c35ea7146dccb8d1bf
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Jan 19 13:05:47 2012 -0800

    Add touch device class support
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7ef9150d832d6ede991c5def02d2964c8047ad4f
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Thu Jan 19 13:05:46 2012 -0800

    Allocate axis labels array dynamically
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3804a0ee0bec455fcc61a469dd907738ff5589bd
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Jan 4 17:02:30 2012 +0000

    Constify priv->device
    
    Fixes a compiler warning due to discarding the const qualifier as it
    comes back from the option code.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c861d4568c2c6cc56db8e683a8d7035bef711262
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 3 11:03:14 2012 +1000

    test: fix build error introduced in 9f9b55ab55ed5
    
    Bad search/replace, ended up in two xf86SetStrOption declarations which
    differed on ABIs < 14.
    
    Fixes https://bugs.freedesktop.org/show_bug.cgi?id=44335
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit f5c60a6d1e87353975a340f8fb2f318c8edceea0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 3 10:59:46 2012 +1000

    Remove unused variable 'thr'
    
    synaptics.c: In function 'SynapticsAccelerationProfile':
    synaptics.c:619:12: warning: unused variable 'thr' [-Wunused-variable]
    
    On input ABIs < 14.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 3ec93218d2211420ede260e298ff5e23202556ff
Author: JJ Ding <dgdunix@gmail.com>
Date:   Wed Dec 28 14:46:02 2011 +0800

    fix wrong finger width range
    
    Signed-off-by: JJ Ding <dgdunix@gmail.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9f9b55ab55ed5251c1607c59d8817231d076d82c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Dec 12 11:35:37 2011 +1000

    test: fix build errors introduced by upstream server change
    
    Introduced by upstream change xorg-server-1.11.99.1-33-g09e4b78,
        Fix gcc -Wwrite-strings warnings in xf86 ddx
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b7e65f04f5f0c17ac8a26393134cc7e8418ccdec
Author: Cyril Brulebois <kibi@debian.org>
Date:   Mon Dec 12 01:35:27 2011 +0100

    Revert: "eventcomm: replace synaptics-custom TEST_BIT with server's BitIsOn."
    
    This commit reverts 13543b156d78bc4d01a19844a5ee8f283269621b
    
    As seen in Debian's #648488, this switch causes a regression on
    PowerPC, especially seen on iBook G4 with appletouch. Take a defensive
    stance and revert back to a working state until things have been figured
    out and fixed properly.
    
    Since things have evolved and since that revert triggers a lot of
    conflicts, the following method was applied:
     - manual reintroduction of the 3 removed macros: OFF, LONG, TEST_BIT
     - coccinelle semantic patch to revert from BitIsOn to TEST_BIT
    
    Coccinelle semantic patch:
      @@
      expression a,b;
      @@
      -BitIsOn(a,b)
      +TEST_BIT(b,a)
    
    Bugzilla: http://bugs.debian.org/648488
    Signed-off-by: Cyril Brulebois <kibi@debian.org>

commit 0cd5a77c3a455e942929eb4d5412fa51630ed13f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Nov 30 09:59:37 2011 +1000

    If protocol is auto-dev and the device path is set, unset the protocol
    
    The remainder of the handling code will take try through all protocols,
    taking the device into account (as of
    xf86-input-synaptics-1.4.0-34-g241254e)
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit d1301412d7b7acd6325f0561c109f2b8e1c7a999
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Nov 30 09:39:12 2011 +1000

    Return true/false from SetDeviceAndProtocol
    
    Instead of requiring the caller to know which private field indicates
    failure, just return true on success or false on failure.
    
    No functional change.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Reviewed-by: Jeremy Huddleston <jeremyhu@apple.com>

commit 2603ad69b997c999404ecc441e0d64ea2cc22018
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 18 15:46:03 2011 +1000

    Use the scroll distances as increment for scrolling valuator axes
    
    XI2.1 allows an 'increment' for each scrolling variable. Use that instead of
    hiding it away inside the driver.
    
    For circular scrolling, the increment is the one of the respective scrolling
    axis.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4f46057a33b20df62d919e49a394ab6cb7aa6aa1
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 9 20:03:11 2011 +0100

    Scroll: Initial smooth scrolling support
    
    Post smooth-scrolling events through the new X server API when
    available, rather than legacy jerky button events.
    
    [Amended to use the final smooth scrolling API]
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Amendments-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 15bef1f7092d37aeaa916ed7642ae3b6e684660c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Oct 21 16:52:57 2011 +1000

    eventcomm: print strerror(errno), not of rc
    
    Found by coverity.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dirk Wallenstein <halsmit@t-online.de>

commit cefc85ad44af340b3d2cad76ec1dc54ceba0558f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 18 15:46:57 2011 +1000

    Fix compiler warning - unused variable 'para'
    
    synaptics.c: In function 'post_scroll_events':
    synaptics.c:2426:26: warning: unused variable 'para' [-Wunused-variable]
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 26831a6eeac6762ad4d99532f62ebbab0827de10
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 9 20:03:10 2011 +0100

    Scroll: Prepare ScrollData for smooth scrolling
    
    Convert ScrollData from up/down/left/right members for button presses,
    to more fine-grained delta_x and delta_y members, and move these to
    priv->scroll.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7c0361d4ec6b1f1325cb6551d0ee2e7f5cfae15b
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 9 20:03:05 2011 +0100

    Adjust acceleration scheme for input ABI v14
    
    v14 wants doubles, rather than floats, from acceleration schemes.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a15af628154ac37f24896a30614f3be6ecdb65c4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 12 11:20:06 2011 +1000

    test: wrap ABI 14 xf86OptionRec type changes
    
    ABI 13 still uses pointer as type for most option calls, ABI 14 uses the
    proper type now. Wrap this so we can build against both versions.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ba981e223ae4449b08ff972b69220d435a735075
Author: Casper Dik <casper.dik@oracle.com>
Date:   Fri Sep 2 10:32:50 2011 -0700

    Extra buttons on Acer Ferrari 4000 laptop touchpad are not recognized
    
    The code was checking for a value of exactly 1, while the Synaptics
    docs at http://www.synaptics.com/sites/default/files/511-000275-01rA.pdf
    say:
    
        Extended Model ID. This query returns the product ID, additional
        capability bits, and additional bits to widen the infoSensor
        field. infoSensor is a part of the Model ID query (query $03).
        The Extended Model ID query is only present if nExtendedQueries
        is *greater than* or equal to 1.
    
    Signed-off-by: Casper Dik <casper.dik@oracle.com>
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bc789cc7a057357e27faf1c6727dc95f6d02fcea
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 5 09:26:56 2011 +1000

    man: note that a PS/2 device is not supported
    
    If all we see is a PS/2 Mouse or similar, then the kernel doesn't give us
    the required bits to provide all the functionality we want. Note that in the
    man-page.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 7a72af1ce105fd857214bb641a8fa2cfd150a5f7
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Fri Aug 26 18:42:08 2011 +0600

    The correct maximum values for pressure and finger width
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 45d4a6bec01deac5cca6639c55062b110462155f
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Fri Aug 26 18:42:07 2011 +0600

    On/Off hooks to return boolean so we can bail out of the caller
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2034e1e26497bce815eae0429f7e29faf2d9adaf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 25 10:58:43 2011 +1000

    Fix compiler warning: unused variable "wakupTime"
    
    Introduced in 458c7251295e767fae7a0ac3366212361bce25a6
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4fe1b58c2c6903961a84077363a0c8de5736c650
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 9 20:03:09 2011 +0100

    Scroll: Modify ScrollData in repeat_scrollbuttons
    
    repeat_scrollbuttons used to read the scroll repeat values and then post
    button events directly.  Instead, make it modify ScrollData and let
    post_scroll_events take care of sending the scroll events, which
    requires moving the repeat_scrollbuttons call upwards.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit df68486254b38b7f08f7d510ce1b75aaef9e52fd
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 23 15:02:26 2011 +0100

    Scroll: Move coasting variables to priv->scroll
    
    Also rename (e.g. autoscroll_x -> coast_delta_x, and
    autoscroll_xspd -> coast_speed_x) variables to clarify things a bit.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit aae994cc0c08e6da270c199af429315a3a2092bf
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:   Fri Jun 3 18:28:59 2011 +0100

    Scroll: Add last_millis to track scroll event timing
    
    Stopping a little short of having a full scroll history, adding
    last_millis lets us track when the last scroll event we sent was,
    for more accurate timing of coasting in particular.
    
    Signed-off-by: Derek Foreman <derek.foreman@collabora.co.uk>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fb7c0c5965b6843f38e9c881f4c349006ec0da32
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 23 13:58:31 2011 +0100

    Scroll: Move scroll_[xya] into new priv->scroll struct
    
    And rename them to last_x, last_y and last_a respectively, as they're
    used to store the values as of the last scroll event sent.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 81a8ddb4a768bee3a4b304716fa4cfead49a2761
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 9 20:03:08 2011 +0100

    Scroll: Clarify rep_buttons assignment
    
    Instead of a combined variable declaration with two ternary expressions
    using raw hex values, expand it to have two genuine if statements,
    setting with a more clear bitshift.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f40bbf7494a6122d464e3fff4309f69af2a20e4a
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:   Mon Mar 7 17:49:42 2011 -0500

    Revise palm check logic
    
    Make the palm-check logic more stable and reliable, and make sure that
    any palms are blocked for the duration of their presses.
    
    Signed-off-by: Derek Foreman <derek.foreman@collabora.co.uk>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 86dfe5086ff672e4d3c354980b999c6f3a27ebec
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:   Wed Mar 23 14:12:36 2011 -0700

    More accurate extrapolated fake motion events
    
    Use better time estimates so we can provide better fake motion events.
    This reduces the difference between motion with one and two fingers down
    to be almost imperceptible, despite the reporting rate being halved on
    PS/2 devices.
    
    Signed-off-by: Derek Foreman <derek.foreman@collabora.co.uk>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b26125e412a130b7a8f8b6adf9ffc8e9cc8df42c
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:   Wed Mar 2 12:31:58 2011 -0500

    Replace the motion estimator
    
    Use a smarter motion estimator that attempts to draw a best-fit line
    through the history where possible, including taking acceleration into
    account.
    
    Signed-off-by: Derek Foreman <derek.foreman@collabora.co.uk>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Simon Thum <simon.thum@gmx.de>

commit ffed18dfffda32de7282e44c5b8d1fb7d5454b54
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jun 14 17:41:58 2011 +0100

    Update count_packet_finger in store_history, not get_delta
    
    Seems more sensible to update the count of packets in the history when
    we update the history, rather than somewhere else entirely.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c8b098214b44cf0585d78c460401ea7d143769f3
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jun 14 17:24:24 2011 +0100

    Don't store fake events in the motion history
    
    As the subject says: don't store any synthesised events in the motion
    history, since we can recreate those algorithmically.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 458c7251295e767fae7a0ac3366212361bce25a6
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:   Thu Mar 31 14:29:43 2011 -0700

    Use hardware time where possible
    
    Rather than always setting hw->millis as the time when we received the
    event in our SIGIO handler, use the time provided by the kernel if
    applicable (i.e. if we're using evdev rather than PS/2 or similar).
    
    Signed-off-by: Derek Foreman <derek.foreman@collabora.co.uk>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>
    
    [from_timer is in preparation for a future patch, currently unused]
    
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 495e0fe1b7afa9de04ee0341da1ade4d3d4f50b8
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 23 11:19:18 2011 +0100

    Use CARD32 for timestamps
    
    As GetTimeInMillis() returns a CARD32, switch every timestamp usage to
    follow.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2ebf984262d6bd471b4b5f1333785865e8d3c25f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 9 20:02:58 2011 +0100

    Introduce POLL_MS for packet frequency
    
    We expect to be receiving a steady 80 packets/sec (which gives 40
    reports/sec with more than one finger on the pad, as Advanced Gesture
    Mode requires two PS/2 packets per report).  Instead of a random
    scattering of magic 13 and 20ms numbers scattered throughout the driver,
    introduce POLL_MS as 14ms.
    
    Having this here allows us to call back at a steady frequency to ensure
    that the finger motion remains steady.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6d1f8f9886cbd4b3073502f3f37c4dd618971361
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 9 20:02:49 2011 +0100

    Give FingerState enums explicit values
    
    Since we depend so heavily on ordering and numbering, just give all the
    enum explicit number values.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0f171af28410f939a915064af9fb9af38118455d
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 9 20:02:52 2011 +0100

    Add HIST_DELTA macro for differences in history
    
    HIST_DELTA(a, b, e) is equivalent to HIST(a).e - HIST(b).e.  Replace the
    one user of this pattern with a HIST_DELTA call.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a24c44375025576dd600ccf370ba365e5d94dc22
Author: Derek Foreman <derek.foreman@collabora.co.uk>
Date:   Mon Mar 21 16:01:29 2011 -0700

    Fix pressure->motion property format
    
    CARD32, not float.
    
    Signed-off-by: Derek Foreman <derek.foreman@collabora.co.uk>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 627b09e5bd0726ad31bfeb4f07b8f8287d8ec46f
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jun 14 17:07:11 2011 +0100

    Properties: Generalise InitTypedAtom from InitAtom
    
    Add InitTypedAtom, which does exactly the same thing as InitAtom, but
    takes an additional type argument.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

commit 299a44cd2035e84859b9d6c84854064326f8d124
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Thu Jun 23 10:58:43 2011 +0100

    Bump minimum xorg-server requirement to 1.7
    
    This means we can also drop support for pre-ABI v7.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

commit 05fb9b5f248aacb121997f02d7a6e7cbbfb5ed1c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 25 09:50:27 2011 +1000

    Bump to 1.5.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f5141b6c663d97f771fc7c86b32d8d43a1a003c0
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Tue Jun 14 17:43:36 2011 +0100

    Shuffle include order around
    
    Group X protocol/server includes together, and synaptics-internal
    includes together.
    
    Signed-off-by: Daniel Stone <daniel@fooishbar.org>

commit 98e8481cf4911506403b8963fc32c61a74cf679e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 19 15:57:08 2011 +1000

    Bump to 1.4.99.1
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dd6c51499e626b1bc3ddd82949691efa667ff1c4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 28 11:02:45 2011 +1000

    syndaemon: Remove superfluous message.
    
    toggle_touchpad() already prints if we're running verbose.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ba53d850252165ba96e7abc6e7dd0648b40ee37b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 28 10:57:12 2011 +1000

    syndaemon: document exit codes and change them to fall into categories.
    
    Changing pid file creation failure to same exit code that fork() failure
    uses.
    
    Changing XRECORD init failure to unique code. This way clients can trap
    exit code 4 and re-start syndaemon without the -R flag.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8d0d011cda37f5202ee0de76ef1ada8643624919
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 28 10:44:42 2011 +1000

    man: remove documentation for -s switch, SHM is gone.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 72d5b4886927aee5fbc871b5c3d0300be92d8ecc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 28 10:43:38 2011 +1000

    man: document syndaemon -m switch
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ca3e0b33d02a6a86b156008216bf94042b81ce71
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jun 30 11:10:04 2011 -0400

    Add distcheck support for configuration files when dir is not writable
    
    Provide a user writable location for configuration files.
    Many values will work, but preserving the semantic by using
    a value based on the server default value is more helpful.
    
    The configdir automake variable and the pkgconfig sysconfigdir variable
    should not be confused with the sysconfdir automake provided
    configuration option which default value is $prefix/etc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e3d5c397965a017afd2288e7f991920edb50cee4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jun 30 10:15:24 2011 -0400

    Add distcheck support for header files when sdk is not writable
    
    During distcheck, a writable location is supplied for the install test.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit ce1c4ce6798e956e3fa68c68fde7b7900319bc31
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Jul 11 08:02:39 2011 -0400

    tools: remove unrequired sdkdir include directive
    
    Now that xserver-properties.h is no longer included,
    the path to the xserver header files is no longer needed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 513d40f7c442f78574e8c71c9895106c3f8eab74
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 5 09:48:01 2011 +1000

    tools: don't include xserver-properties.h
    
    Remove the header inclusion to avoid dependency of synclient on the xserver
    headers. The only property we need from the server is FLOAT and we can
    simply define that here.
    
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9d30992ef7e0f3e6efa93431551681660e6295d2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jun 28 17:14:00 2011 -0400

    Revert "build: sort building of tools, ensure that cross-pkg-config works."
    
    This reverts commit 4005df66072ceac175ea71427deb16176262f197.
    
    The patch introduces a couple of issues.
    1) These tools are apps and conceptually do not depend on Xserver,
    so XORG_CFLAGS should not be used. It included pixman header files.
    Only drivers depend xserver
    
    2) XORG_CFLAGS may contain, depending on the platform, a compiler
    visibilty flag. Compiler flags cannot be assigned to AM_CPPFLAGS
    preprocessor flags variable.
    
    There were two changes introduced by the patch.
    1) Possible wrong order of include directives
    The commit text does not mention which paths may be in the wrong order.
    
    2) Incorrect usage of AM_LDFLAGS
    The patch does not really change anything. If the intention was for the tools
    to link directly to the libraries, it would look like:
    
      LDADD =  $(top_builddir)/src/libpciaccess.la # scanpci example
    
    This is only possible for libraries built in the same package.
    There is nothing wrong in putting -l -L flags in LDADD, but should there
    be other flags, LDFLAGS would be required, ending with two variables.
    
    It looks easier to revert the patch to the previosuly known good version
    which has been in service for a year.
    
    Unfortunatly, the reversal breaks distcheck as it removes an unsuspected workaround.
    The value of sdkdir during distcheck points to an empty xserver sdkdir
    where xserver-properties.h is expected by the tools.
    
    Specifying XORG_CFLAGS worked around the issue by supplying the real path
    to the xserver sdk.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit cb6818b6230ca43ddaabfb8f16feaef9ae3ef68e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jun 28 17:13:30 2011 -0400

    Revert "build: collapse all Makefile.am files into a single non-recursive one."
    
    This reverts commit 39afe69ad7d2258d4043044d1283bd6e311e48da.
    
    1. For such a small module, the build time improvement is most likely
    negligible. At least, I'd like to see some timings proving it's
    worthiness before seeing the patch go back in.
    
    2. This kind of change would need a thorough review. The need to
    operate the build from a single toplevel Makefile is a significant
    change. The two most noticeable issues for me are that collapsing all
    the Makefiles could easily cause namespacing issues with the
    variables, and operating on files outside the current directory can
    introduce subtle bugs. I feel that the non-recursive style is
    generally less robust than the standard recursive make scheme.
    
    3. It's unlike all the other X.org modules. This isn't a showstopper
    for me, but the recursive style is well understood here and you've
    beaten all the modules into a consistent format that makes build bugs
    unique to specific modules less likely.
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    
    To give a concrete example for #3 above, the 175 man pages are much
    easier maintained using a very similar makefile in the man directory
    of all X.Org module.
    
    The cost of maintaining a single makefile is much higher. Every target
    in the makefile has to be reviewed and tested when changes are made.
    Not everyone has the all the skills to handle widely different targets
    such as man pages, DocBook/XML, librairies, C code, distribution hooks,
    and so on.
    
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bb604aca58f9c718601a22290176e201e92d36ab
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jun 28 17:11:24 2011 -0400

    Revert "build: install documentation as part of make install."
    
    This reverts commit d27b4e560ccf61b94f067156c6d5c1e3d3e5e1eb.
    
    ChangeLog is generated from git and should be created at dist time only.
    The original patch creates it at make time multiple times and fails
    when user permissions change such as when using sudo.
    
    Some have expressed a desire to install files such as ChangeLog and README.
    This reversal does not dismiss the idea, but simply reverts a non-essential
    change that happens to have an implementation bug just before making a module
    release.
    
    Anyone is welcome to promote the idea in the context of the X.Org project
    where all modules would exhibit the same behaviour. The current behaviour of
    ChangeLog, although not perfect, has been thoroughly reviewed and widely
    accepted for several years.
    
    As for the files in docs, they should be re-submitted for reviews to determine
    if they constitute users docs that should be installed as opposed to
    developers docs which are not.
    
    Reported-by: Daniel Stone <daniel@fooishbar.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9803edca13ed5b2531db71b1a151525733a6dd40
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jun 28 17:10:45 2011 -0400

    Revert "build: create object files following the sources' structure."
    
    This reverts commit dac624ad2b3a67ab93c11d8ee0a91b217fc1afe6.
    
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 414a6aac17d3afeed2db30f7990edbb81b244676
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jun 28 17:10:21 2011 -0400

    Revert "build: apply the distcheck tricks used in xf86-input-evdev"
    
    This reverts commit 6eb829e07e455a8a04dabae7f257dd42a9b8bcdf.
    
    Althought this feature is desirable, it introduces a dormant bug.
    
    The value of sdkdir during distcheck points to an empty xserver sdkdir
    where xserver-properties.h is expected by the tools.
    
    Specifying XORG_CFLAGS for the tools worked around the issue by supplying
    the real path to the xserver sdk. tools must not depend on xserver.
    In any case it would be a brittle workaround.
    
    --with-xorg-conf-dir='$${sysconfdir}/xorg':
    althought this value will work, it brings some confusion as it is
    unrelated to the where the configuration files are normally placed,
    relative to $prefix which is /usr/share/X11 and not /etc.
    
    This feature can be reintroduced later with the proper solution.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a0b7f755e925194b8245d580182fede9ee197985
Author: Daniel Kurtz <djkurtz@google.com>
Date:   Mon Jun 27 14:35:31 2011 +0800

    conf: fix snippet to ignore /dev/input/mouse* on Linux
    
    Added '*' to match any and all mouse devices.
    
    Signed-off-by: Daniel Kurtz <djkurtz@google.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dfee7c3f99c1ac5aeba7feed96f30b6b96739c73
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 31 13:51:53 2011 +1000

    Replace xf86Msg with xf86IDrvMsg
    
    xf86IDrvMsg automatically logs driver and device name.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f37c67fc6ca929aabc3ad47d5294efb0a58c0644
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 31 13:04:01 2011 +1000

    conf: add snippet to ignore /dev/input/mouse* on Linux
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit de8c3a5430c71d3a52d2dc3362743b791256d847
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 27 16:56:57 2011 +1000

    Export device node as property.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 77b0ed05d29b8f71784af60fe56b111b91c7107f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 24 10:57:32 2011 +1000

    Initialize the vendor/product id property if we know either.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0d0ba35951cbbb092ae0f5bd559d7daacb5b77e8
Author: Patrick Curran <pjcurran@wisc.edu>
Date:   Fri May 27 11:11:44 2011 -0500

    Modified start_coasting to handle circular scrolling
    
    Calculate the angle speed when circular scrolling is on and coast based on
    that speed instead of the previously used vertical scroll speed.
    
    Fixes: https://bugs.freedesktop.org/show_bug.cgi?id=30756
    
    Signed-off-by: Patrick Curran <pjcurran@wisc.edu>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6eb829e07e455a8a04dabae7f257dd42a9b8bcdf
Author: Diego Elio PettenÃ² <flameeyes@gmail.com>
Date:   Wed May 25 18:16:22 2011 +0200

    build: apply the distcheck tricks used in xf86-input-evdev
    
    With this change it is possible to complete "make distcheck" safely on the
    module, as it no longer tries to write to system directories.
    
    Since synaptics also installs a configuration file, xorg-conf-dir also
    needs to be overridden during distcheck.
    
    Signed-off-by: Diego Elio PettenÃ² <flameeyes@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dac624ad2b3a67ab93c11d8ee0a91b217fc1afe6
Author: Diego Elio PettenÃ² <flameeyes@gmail.com>
Date:   Wed May 25 16:10:49 2011 +0200

    build: create object files following the sources' structure.
    
    This allows building object files following the same subdirectory structure
    as it was used before with the recursive build system, while keeping the
    build non-recursive.
    
    Signed-off-by: Diego Elio PettenÃ² <flameeyes@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8bb3786fead14c36fbfb6320e886e3a0e878b29f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 24 10:55:13 2011 +1000

    Use struct input_id as return value for EVIOCGID
    
    struct input_id is an array of 4 ushorts so there is no real change in
    functionality.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit be83094bd98c353b0ee7894eefcb1ae91e0cae30
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 23 10:18:22 2011 +1000

    syndaemon: don't compare against a null-property. (#37459)
    
    synaptics_property is not set, touchpad_off_prop is the property we need to
    check against.
    
    False check for (nprops != 0) instead of (nprops < 0) would result in
    syndaemon always reporting a touchpad device, even if none are present.
    
    X.Org Bug 37459 <http://bugs.freedesktop.org/show_bug.cgi?id=37459>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 33775253a01324001aebaadfaa2558b4b738075e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 23 10:14:08 2011 +1000

    syndaemon: add vim snippet for right indentation/tabstop, etc.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e4958186fae78770bc739be701b849f28c87cf11
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 23 10:12:42 2011 +1000

    syndaemon: fix abysimal indentation in dp_get_device.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0c8971c80c21d7541d9614ac67a8d4954d4859ec
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 19 09:45:10 2011 +1000

    include: update documentation for capabilities property
    
    pressure and width were added recently
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8ad40444596259b8b5b60ae4069e94875253c21a
Author: Christoph Brill <egore911@egore911.de>
Date:   Tue May 17 08:08:08 2011 +0200

    Update maintainer information
    
    There is no distinct maintainer for synaptics but everything should go
    to the list.

commit 0c0e3e3df6af54777e47550e555e76c787f6f0a4
Author: Diego Elio PettenÃ² <flameeyes@gmail.com>
Date:   Sat May 14 03:34:26 2011 +0200

    README: fix typos.
    
    Signed-off-by: Christoph Brill <egore911@egore911.de>

commit d27b4e560ccf61b94f067156c6d5c1e3d3e5e1eb
Author: Diego Elio PettenÃ² <flameeyes@gmail.com>
Date:   Sat May 14 03:30:15 2011 +0200

    build: install documentation as part of make install.
    
    Signed-off-by: Christoph Brill <egore911@egore911.de>

commit 39afe69ad7d2258d4043044d1283bd6e311e48da
Author: Diego Elio PettenÃ² <flameeyes@gmail.com>
Date:   Sat May 14 03:14:56 2011 +0200

    build: collapse all Makefile.am files into a single non-recursive one.
    
    With this change, the whole of the build is done non-recursively in the
    top-level Makefile.am. This reduces the amount of overhead due to recursing
    into directories only to build one file.
    
    Signed-off-by: Diego Elio PettenÃ² <flameeyes@gmail.com>
    Signed-off-by: Christoph Brill <egore911@egore911.de>

commit 4005df66072ceac175ea71427deb16176262f197
Author: Diego Elio PettenÃ² <flameeyes@gmail.com>
Date:   Sat May 14 03:00:02 2011 +0200

    build: sort building of tools, ensure that cross-pkg-config works.
    
    Without this change, cross-pkg-config could bring up the wrong paths to
    $includedir/xorg, but also fixes linkage to not use LDFLAGS where LDADD
    should have been used.
    
    Signed-off-by: Diego Elio PettenÃ² <flameeyes@gmail.com>
    Signed-off-by: Christoph Brill <egore911@egore911.de>

commit 4d4c4d0ff5a381a5d574845cf72673f9fee43734
Author: Diego Elio PettenÃ² <flameeyes@gmail.com>
Date:   Sat May 14 02:43:58 2011 +0200

    build: report a fatal error if XORG_DRIVER_CHECK_EXT is undefined.
    
    Just to give a bit of an idea of what the problem is when configure fails
    later on.
    
    Signed-off-by: Diego Elio PettenÃ² <flameeyes@gmail.com>
    Signed-off-by: Christoph Brill <egore911@egore911.de>

commit ec791423531a12129358a2e10b4f9b4721fcd761
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun May 8 11:56:25 2011 -0700

    Fix "nose canellation" typo in man page
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit bdc9c7cf9767bda77c690cb4211f6f6cb4567748
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Fri Apr 15 15:29:57 2011 -0400

    Drain XRecord connection of any events after handling replies
    
    If the X server sends an event to the XRecord connection the event
    will never be handled. This will cause the event queue to fill up in
    Xlib and lead to syndaemon running away at 100% cpu usage.
    
    This change drains any events from the connection. It's not a fix for
    the underlying bug in the server or Xlib, but it does paper over the
    issue for now.
    
    https://bugs.launchpad.net/bugs/754470
    http://bugs.freedesktop.org/show_bug.cgi?id=31921
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fe05c60fee1f8fc24cc6cc2af7027d897607af2a
Author: Cyril Brulebois <kibi@debian.org>
Date:   Thu Apr 14 05:38:25 2011 +0200

    Fix egde/edge typo in manpage and comments.
    
    Debian bug #622663 <http://bugs.debian.org/622663>
    
    Signed-off-by: Cyril Brulebois <kibi@debian.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 26a9416f48a35fb375ea6bd4363f9b7ab2cc0acd
Author: Trevor Woerner <twoerner@gmail.com>
Date:   Sun Apr 10 22:03:13 2011 -0400

    Add 'include' directory for test.
    
    The binaries in the test directory won't build successfully for me
    without adding this include path.
    
    Signed-off-by: Trevor Woerner <twoerner@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4aa16879bd5084f061a55e5b8a0754e1b037212a
Author: Chase Douglas <chase.douglas@canonical.com>
Date:   Fri Apr 1 15:21:35 2011 -0400

    Revert "Default to 2-finger emulation when HW supports it"
    
    This changes the default behavior for trackpads that have only pressure
    information to emulate two finger actions. It's been reported that the
    default value is too low and/or that the pressure values may fluctuate
    with environmental factors (temperature, humidity, etc.). When the
    value is wrong, spurious right clicks and scroll events are triggered.
    
    Fixes: http://bugs.launchpad.net/bugs/742213
    
    This reverts commit ffa6dc2809734a6aaa690e9133d6761480603a68.
    
    Signed-off-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2898098469457a0d7c3d3610065ccc75c46bdfa0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Mar 22 11:51:48 2011 +1000

    Only build tests when unit tests are enabled.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 99822503c8991ebf4eed3390904b5e62b0775d31
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 21 10:24:21 2011 +1000

    test: add another test to ensure HW state changes on known values only.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit be52f449c148028ee912aa12ea9a91ed28590a9e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 20 11:02:45 2011 +1000

    test: Add some tests for HW state changes.
    
    Includes basic finger counting test, some button tests and axis tests. These
    tests simply check that the HW state changes reflect the events pumped in.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9290ce357b5063e8170f28282711718794a3c2d0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 20:34:38 2011 +1000

    Add basic framework for unit-testing.
    
    Also adds a bunch of fake symbols so we can link. Note that any of these
    symbols will return false, 0 or whatever the zero value for the symbol is.
    Care must be taken when writing test that this doesn't screw up the test.
    
    Tests are always built but only run on make check.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bc89d7db428dbf38a9f0f9b5f5e8efd1afae71f1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 20:26:18 2011 +1000

    Require macros 1.13 for unit testing
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Gaetan Nadon <memsize@videotron.ca>

commit 241254e352f5c4e3d6850e0916261cb235c6b608
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 21 11:23:34 2011 +1000

    Don't autoprobe for devices when Option Device is set.
    
    If only Option Device is set but no protocol, the code calls into
    AutoDevProbe. eventcomm (the only backend with an AutoDevProbe) then runs
    through all /dev/input/event devices and takes the first one it can find.
    
    If two touchpads are connected on a system, this may cause the same touchpad
    to be added twice and the other one not at all - even though the device path
    is specified. (This can only happen when the event device is not grabbed,
    otherwise the grabcheck prevents the touchpad from being added twice)
    
    Pass the device option into AutoDevProbe and check that device first. If it
    is a touchpad, finish with success. If it isn't, fail AutoDevProbe.
    
    Introduced in dce6006f6a851be4147e16731caa453dd0d1ec1c.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    CC: Alexandr Shadchin <alexandr.shadchin@gmail.com>
    Reviewed-by: Chris Bagwell <chris@cnpbagwell.com>

commit f65f8a8365b158cbdb6cdc3f74afc08a2653c084
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 21 11:14:50 2011 +1000

    eventcomm: fix indentation in EventAutoDevProbe
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 3277733209180d94f67be8019178424dbe17fc5b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 20 10:33:57 2011 +1000

    eventcomm: move need_grab into a proto-specific struct.
    
    Don't just assign a BOOL to proto_data, use a struct for readability.
    This changes nothing in the code, especially since need_grab is always
    false.
    
    The current code assumes that if a proto_data field is present, we respect
    the need_grab from this field. Otherwise, we always try to grab.
    need_grab is however always FALSE, so all this is mostly for readability, if
    not necessarily understandability...
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 810423b51706ea26c6794eaf6cd51fcbb56386ad
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 20 10:22:18 2011 +1000

    eventcomm: untangle state setting from printing device info
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chris Bagwell <chris@cnpbagwell.com>

commit dacac616305cc38cab082607c0e40c109cb8422e
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 20 10:14:05 2011 +1000

    eventcomm: print an error when axis range failed.
    
    Judging by a quick google search, this isn't a common error that the user
    will see, it's a bug. So print out information useful for those
    triaging/debugging.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit a0aa59ed5d0ab07702c3bc56cf5651d193e553a7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 20 10:09:56 2011 +1000

    eventcomm: streamline absinfo retrieval.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2122ad2f17c0efed016d41178e2da9d3eeba84fd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 20 09:46:26 2011 +1000

    eventcomm: rewrite event_query_info to something more sane
    
    Instead of passing in a magic struct and set fields in that struct, pass in
    the fd that we query and return the queried value. Let the caller deal with
    the information accordingly.
    
    And document the lot.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 7b2d245ee1ecc3793f29dbf2761ef1ab73a577e5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 20 09:38:13 2011 +1000

    eventcomm: document event_query_is_touchpad
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit a16e51c4aca95b35d929b059dc027bb0fec5405d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 20 09:36:52 2011 +1000

    eventcomm: rename parameter name grab to test_grab
    
    We don't permanently grab the device here, we just check whether a grab is
    possible.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 13543b156d78bc4d01a19844a5ee8f283269621b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Sun Mar 20 09:28:45 2011 +1000

    eventcomm: replace synaptics-custom TEST_BIT with server's BitIsOn.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit adf3e8a5f9e3efc7e7a5d4148cf509f00cade9e0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 21:36:19 2011 +1000

    eventcomm: extern EventReadHwState to allow for testing.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 453c5bf6ec0de358ec845946835fcb738cf9af80
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 21:06:16 2011 +1000

    eventcomm: factor out finger counting.
    
    one, two, three, many.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit ecf42db47629cadc7a332398a1784bb0acbd6511
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 20:56:51 2011 +1000

    eventcomm: add a missing break statement
    
    If the EV_SYN wasn't SYN_REPORT, we'd fall through to key event processing,
    which almost certainly won't do what we want and/or need.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit b7acee2346494846e80d2fe25f699081a51c49a2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 10:34:03 2011 +1000

    conf: add a descriptive header with warning to example config file
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bc01d6a88ae84a0b1e52b8feb93c168d5120cd58
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 10:40:50 2011 +1000

    conf: remove SHM example from fdi
    
    SHM is dead for configuration.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5f546777173dc78146025499d186fe97d31eaeac
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 10:29:37 2011 +1000

    man: add short blurb about InputClass configuration in servers 1.8
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 86cab92b41443a5c9391b3bb20c93d902cf67961
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 10:26:37 2011 +1000

    man: update source path for fdi file and shorten description.
    
    Don't describe what the example config file does in the man page, let the
    file speak for itself. Point out that fdi files are for servers 1.5 - 1.7
    only.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 43c3720cc218c0c4c36482f01bbb8aa2c42480aa
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 20:25:57 2011 +1000

    Bump to 1.4.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4ebde557aee7953f766fcd6b725cbacd47f806ec
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 18 16:24:28 2011 +1000

    Revert "Add synaptics orientation support"
    
    This patch needs more work before we can ship it.
    
    This reverts commit 049d5fb6037b34d94b24cb8300849cf4e3b67437.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d521fc0335e9a6527d337154e064d192ab006425
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Mar 7 10:09:26 2011 +1000

    Remove unused test directory (#35043)
    
    The two files are for testing the actual synaptics protocol, a task that is
    handled by the kernel these days. These haven't been built for years either,
    suggesting limited use.
    
    X.Org Bug 35043 <http://bugs.freedesktop.org/show_bug.cgi?id=35043>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Cyril Brulebois <kibi@debian.org>

commit 0662e1c18122768549e51baf9ce3649c57ff0528
Author: Christoph Brill <egore911@egore911.de>
Date:   Wed Mar 9 23:25:05 2011 +0100

    Add note about MatchDevicePath
    
    This question seems to pop up very often. Add a note pointing to Peter's
    blog entry describing the details of this misconfiguration.

commit 049d5fb6037b34d94b24cb8300849cf4e3b67437
Author: Aapo Rantalainen <aapo.rantalainen@gmail.com>
Date:   Wed Mar 9 21:32:36 2011 +0100

    Add synaptics orientation support
    
    This patch allows usage of "synclient Orientation=0" (values from 0 to
    3). It will rotate the touchpad similar to "xrandr -o". Original patch
    was extended for alps and ps2.
    
    Signed-off-by: Christoph Brill <egore911@egore911.de>

commit d6fc5be2969b9eede3c0fdd6e03daec4100a8c9f
Merge: de0dfb7 cf451f3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 4 12:47:00 2011 +1000

    Merge branch 'next'

commit de0dfb76444ad4160468d00515876c91a9fa20bf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Mar 4 12:36:24 2011 +1000

    synaptics 1.4.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cf451f34e3bdd52a4eb072ce9f4b514eb83a1cfc
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:29 2011 +0500

    Now ps2comm and alpscomm backend optional
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit dce6006f6a851be4147e16731caa453dd0d1ec1c
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:28 2011 +0500

    Rewrite mechanisn to detect Protocol and Device
    
    Made SetDeviceAndProtocol() does not depend on the protocols,
    it will make it easier to add new backend.
    
    New behavior SetDeviceAndProtocol:
    1) If not set Device or Protocol, then try AutoDevProbe
    2) Otherwise, look for the appropriate protocol (Device and Protocol must be set)
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ae19da1266642aa0ba5838e525b2878c1bef49c2
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:27 2011 +0500

    Remove extra definition CommData
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 00abf2c63cf1613c3a65d561582e9fd8abc2f34a
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:26 2011 +0500

    Remove arg proto_ops in ReadHwState()
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8e6d67243375539f417f7a19e349c6546ce3be64
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:25 2011 +0500

    Renamed SynapticsHwInfo in PS2SynapticsHwInfo
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 9638020709ab45198933a703390a7429e8d38767
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:24 2011 +0500

    Move definition struct SynapticsHwInfo in ps2comm.h
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3de53de7d663c56284b15e37a3e0f2099dbea6a5
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:23 2011 +0500

    Delete empty alpscomm.h
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b3322177155fccefb93fdd325dc2c3f8c5eb9f65
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:22 2011 +0500

    Removing extra call SetDeviceAndProtocol()
    
    SetDeviceAndProtocol() calling in SynapticsPreInit(), extra calling
    in DeviceOn() unnecessary.
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c731f5878b516d2ff613c74305473cdfc3ee0794
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:21 2011 +0500

    Renamed SynapticsDefaultDimensions in SanitizeDimensions
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6ac0572951fa7883bbbe781884cdade2c4537760
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:20 2011 +0500

    Simplified mechanism for determining default size
    
    Now SynapticsDefaultDimensions() called only once
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3c598daec845ff6ef4ba0769ad78a0d562effe29
Author: Alexandr Shadchin <alexandr.shadchin@gmail.com>
Date:   Mon Feb 28 16:38:19 2011 +0500

    Fix typo (resx -> resy)
    
    Signed-off-by: Alexandr Shadchin <Alexandr.Shadchin@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fefb3b63c589b0758c02777e652f05e537ba663f
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Feb 25 20:41:12 2011 +0100

    Fix build on BSD
    
    local was renamed to pInfo in 81ad2e389d11691d5c2687d83150e8e9033cfe76,
    but a couple places were missed.
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8ec84d1850fe801fa9a123ae70e09821a4358389
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 12:57:21 2011 +1000

    synaptics 1.3.99.901
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ee99d4f7bc3374e8bac083ac4ea159f5da43db06
Author: Daniel Kurtz <djkurtz@google.com>
Date:   Mon Feb 14 22:08:41 2011 +0800

    Stop scrolling if not exactly two fingers on touchpad.
    
    X.Org Bug 34257 <http://bugs.freedesktop.org/show_bug.cgi?id=34257>
    
    Signed-off-by: Daniel Kurtz <djkurtz@google.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7771bc91c989d1ac6f6147f2b26e5d7e70555856
Author: Simon Thum <simon.thum@gmx.de>
Date:   Mon Feb 21 11:55:17 2011 +1000

    add a few comments to ComputeDeltas()
    
    Signed-off-by: Simon Thum <simon.thum@gmx.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    
    Conflicts:
    
            src/synaptics.c
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f2f19be03d62b45e51e7fa55b24ed14fec3ba4d2
Author: Simon Thum <simon.thum@gmx.de>
Date:   Thu Feb 10 13:30:07 2011 +0100

    add some acceleration-related info to the man page
    
    Signed-off-by: Simon Thum <simon.thum@gmx.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4a1f524fcbc47e6af772f82dffa6286eea43e460
Author: Simon Thum <simon.thum@gmx.de>
Date:   Thu Feb 10 12:33:04 2011 +0100

    reshuffle details on acceleration in the man page for increased readability
    
    Signed-off-by: Simon Thum <simon.thum@gmx.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 91c85a7d010728bf493e77527984024660eb2b6c
Merge: cc26edf 442527d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Feb 21 11:47:46 2011 +1000

    Merge branch 'devel' into merge
    
    Conflicts:
            src/synaptics.c

commit cc26edfba13216ceda02d9d352643535ba359e5e
Author: Simon Thum <simon.thum@gmx.de>
Date:   Sun Feb 6 17:57:17 2011 +0100

    Add hysteresis-based noise reduction
    
    This introduces hysteresis into the driver's processing. It significantly
    reduces noise motion, i.e. now the pad does no longer generate a stream of
    sub-pixel events when just holding the position with the finger down.
    Also, taking off the finger no longer generates additional motion,
    scrolling becomes flicker-free etc.
    
    The code makes use of "fuzz" from the kernel, if available. This has not
    been tested extensively, as an overwhelming majority of evdev touchpad
    drivers view 0 (zero) as a good value for fuzz, forcing userland into
    assuming "zero fuzz" means "make zero assumptions about fuzz", not
    "there is no fuzz". Until things improve, this is what we do.
    
    Anyway, the fuzz a.k.a. hysteresis can be set/overridden with options
    and properties, as documented.
    
    Signed-off-by: Simon Thum <simon.thum@gmx.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 442527d44a07eceaf6d8b33f4b469e36afc0dcc5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 9 16:03:36 2011 +1000

    Factor out edge speed calculation.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chris Bagwell <chris@cnpbagwell.com>

commit a785b831a6cdb14ea1c11b894cc1a84aea4a37fd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 9 16:00:10 2011 +1000

    Factor out delta calculation into a static func.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chris Bagwell <chris@cnpbagwell.com>

commit 736b32cadd55b05d67c4988bec96dc8df7ebb51c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 9 15:55:41 2011 +1000

    Move delta calculation for trackstick out.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chris Bagwell <chris@cnpbagwell.com>

commit f2cbd47caebd85904dd0c480d9a3128c55fec56c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Feb 9 15:52:45 2011 +1000

    Reshuffle ComputeDeltas for less indentation.
    
    No functional changes, just moving out of double-nested conditions.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chris Bagwell <chris@cnpbagwell.com>

commit 5aaeea79eea98705fbbbea363a7ee4be1eeed827
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 8 11:56:57 2009 +1000

    Don't expect a palm based on pressure (#22806)
    
    If the first touch on the touchpad is above palm_min_z, the palm detection
    unsets the finger status ("probably palm"). Don't do that, for low values of
    palm_min_z this disables the finger during normal use of the touchpad.
    
    X.Org Bug 22806 <http://bugs.freedesktop.org/show_bug.cgi?id=22806>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f34ee8e8ac68c3fdff38d084f175106a3415f3a5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Feb 8 11:46:46 2011 +1000

    syndaemon: reset idle time if the system time has changed (#31968)
    
    If the system time is changed backwards while the touchpad is disabled
    through syndaemon it remains disabled until the time catches up with the
    previous idle time again. Avoid this by resetting last_activity with a time
    that will trigger re-enabling of the device.
    
    X.Org Bug 31968 <http://bugs.freedesktop.org/show_bug.cgi?id=31968>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 311e54594a7dbacf241c046626139a260716ba31
Author: Nicolas Cavallari <batchman@free.fr>
Date:   Sun Jan 23 16:14:48 2011 +0100

    synaptics: detect corner tap using the initial touch position
    
    Currently, when detecting a tap release, the corner tap detection
    uses the current touch position to figure out which corner it
    corresponds. The problem is that, theoretically, there is no such position
    because there is no touch. It work in mosts cases because most touchpad
    are fast enough to still have a position on release, but some aren't.
    
    In that case, the driver do corner tap detection using the position
    given by the hardware when there is no touch, that is, (0,0), (1,5855)
    or whatever. The driver will detect them as corner tap, regardless of
    the initial touch position. On the default configuration, corner taps
    are ignored, so basically, these tap are not working.
    
    This patch make tap detection use the initial touch position to
    detect corner taps.
    
    Signed-off-by: Nicolas Cavallari <batchman@free.fr>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0e27ce3ad7493ec28bde421a61c8a6e8d147efb6
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 16 12:57:15 2011 -0800

    syndaemon.c: Add #include <string.h>
    
    Solaris FD_ZERO is defined using memset, but <sys/select.h> doesn't include
    <string.h> itself, leading to compiler warning:
    
    "syndaemon.c", line 404: warning: implicit function declaration: memset
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 5c98205e025adaf2aa4d99b71cb4581963076a04
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jan 16 12:57:14 2011 -0800

    synclient.c: Replace old index() function with C89-standard strchr()
    
    Fixes Solaris compiler warnings of:
    "synclient.c", line 152: warning: implicit function declaration: index
    "synclient.c", line 152: warning: improper pointer/integer combination: op "="
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ca0f87eb2a7491048d49e6449b688c4fea245310
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 8 11:15:09 2010 +1000

    Rename SHM functions from alloc/free_param_data to alloc/free_shm_data
    
    This naming is historical, we used to export the parameters through SHM.
    These days it's just confusing.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 07dbd6b85d806aa7ebb340f7f555d1992940f319
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 8 11:08:55 2010 +1000

    Don't report all options unconditionally.
    
    While this is useful to see all options provided, it also lists options that
    are not actually interpreted by the driver. Skip it, use xf86Set*Option()
    instead to just report the options handled by the driver.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 9b62f5c29152d59a894a463711737c52c97b5cbe
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 8 11:08:03 2010 +1000

    Dont report the version explicitly, it's reported in the module blob anyway.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 2da93d9735b6951861043de8ea59c8ca1cea4f96
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 8 11:05:51 2010 +1000

    Use xf86SetStrOption instead of xf86FindOption for the Device
    
    xf86SetStrOption reports to the log if found.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit b2cc4f5c4aa35fb13d96fafdbd907b6dba4b4796
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 8 11:01:56 2010 +1000

    Remove the need for XI86_CONFIGURED on input-ABI 12
    
    Just move the assignment into an already if GET_ABI_MAJOR() block.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Daniel Stone <daniel@fooishbar.org>

commit 6f61aa776332b99e0d3cc035bff11d87d2735a47
Author: Alessandro Guido <ag@alessandroguido.name>
Date:   Fri Dec 3 11:55:00 2010 +0100

    syndaemon: decouple background mode from quietness
    
    syndaemon currently outputs lots of stuff when not running in background mode.
    However, current init daemons and session managers can manage to launch the
    daemon in background without "-b" just fine (if not better), by doing the
    fork() themselves. Indeed, if one uses that setup, ie. by having syndaemon
    launched by GNOME at login, it gets the ~/.xsession-errors file spammed by
    Enable/Disabled messages.
    
    This patch fixes this by introducing a new verbose (-v) flag that enables those
    messages and makes syndaemon quiet by default.
    
    Signed-off-by: Alessandro Guido <ag@alessandroguido.name>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4d22aa06fd2b53e11233ebd3a25045cd96bf67ab
Author: Takashi Iwai <tiwai@suse.de>
Date:   Fri Oct 8 19:22:29 2010 +0200

    Fix 64bit arch issue in synaptics eventcomm.c
    
    In C, "1" is an integer, not an unsigned long. Thus (1 << 33) doesn't give
    you the 33th bit shift, but it's undefined.
    
    Signed-off-by: Takashi Iwai <tiwai@suse.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 57193777374dd10a920171670a06b7e79d389703
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 25 10:39:38 2010 +1000

    Input API 12 requires a valuator mode for each axis.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>

commit 61aa201dabe9aa46dadd1a9dc08eadab878cd09c
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 18 09:47:20 2010 +1000

    Remove convert_proc and close_proc.
    
    Both aren't actually called by the server anymore.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 26d5eaeb6b9321ad1a794846333a60125df7317d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Oct 18 09:44:35 2010 +1000

    Replace two LocalDevicePtr with InputInfoPtr.
    
    ABI 12 removes the LocalDevicePtr define from the server, InputInfoPtr is
    the replacement.
    Compile error introduced in 0b28a4c046a30ccb83278ea0aa59541fad89092c.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e2260fef76b08f782ab5640ae490d9b2da33c94b
Author: Joe Shaw <joe@joeshaw.org>
Date:   Tue Oct 12 10:00:48 2010 -0400

    don't post motion events if the finger state is FS_UNTOUCHED
    
    Works around some buggy touchpads that report their position as things
    like 0,0; 0,ymax; etc. at the same time as they turn off the finger
    tool and/or touch indication.  This is particularly a problem when
    using the touchpad in absolute mode.
    
    Signed-off-by: Joe Shaw <joe@joeshaw.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a7637b5b3782f6f7b8efadaa459e9e365701d88b
Author: Joe Shaw <joe@joeshaw.org>
Date:   Fri Oct 8 15:20:42 2010 -0400

    post absolute coordinate motion events if device mode is absolute
    
    Signed-off-by: Joe Shaw <joe@joeshaw.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 0b28a4c046a30ccb83278ea0aa59541fad89092c
Author: Joe Shaw <joe@joeshaw.org>
Date:   Fri Oct 8 15:20:41 2010 -0400

    track abs/rel mode changes in SwitchMode() instead of ignoring them
    
    Signed-off-by: Joe Shaw <joe@joeshaw.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a36976e7c9b1d408751a35caceef4fb64b6d7a1d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 6 11:00:47 2010 +1000

    Remove refcnt initialization from InputDriverRec.
    
    Removed from the server with
    commit 6130170e7e9b64c611ee942ec3455dd1a185193d
    Author: Adam Jackson <ajax@redhat.com>
    Date:   Sat Sep 18 06:41:35 2010 -0400
    
        xfree86: Remove unused refcounting from input drivers
    
    And given that it was unused, we don't need to ifdef it.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f5687a6741a19ef3081e7fd83ac55f6df8bcd5c2
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Sun Sep 19 09:49:59 2010 +0200

    config: don't autoprobe when device was set
    
    If device was already set, we were asked to handle that specific device
    and we should not go probing around. If we do, we might end up handling
    a device different from what the X server thinks we are handling, with
    dire consequences in case of hot plugging and unplugging.
    
    Without this patch, a situation such as the following can happen.
    
    A user has both a built-in laptop touchpad and a tablet such as the
    Wacom Bamboo Pen & Touch, that is also exposed as a touchpad.
    
    The tablet is plugged in before the server starts, and during setup the
    server calls the synaptic driver for the /dev/input/mouseX device
    corresponding to the touch device of the tablet; we end up in the
    autoprobe path even though `device' was set, and the driver scans
    /dev/input, where the first useful device it finds is the event device
    for the built-in touchpad.
    
    The driver starts managing the built-in touchpad, preventing future
    instances from managing it too, while the server thinks the driver is
    managing the tablet.
    
    When the user disconnects the tablet, the corresponding instance of the
    synpatics driver (which is actually managing the touchpad instead) is
    unloaded: the built-in touchpad stops working in X.
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    Reviewed-by: Chase Douglas <chase.douglas@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f2039cb7fba41032ec87315a3a4511472a5ef0dc
Author: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
Date:   Wed Sep 22 21:44:13 2010 +0200

    config: collect options during preinit
    
    This must to ensure that the "Device" option is set correctly before
    SetDeviceAndProtocol is called, but it's only needed when the old input
    API is used.
    
    Signed-off-by: Giuseppe Bilotta <giuseppe.bilotta@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6f7daad930bbceb98a3bea537446b457a5f76246
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 1 13:42:56 2010 +1000

    Bump to 1.3.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f0623c56b91d1444ceb0f18a3b090a06bd6817a9
Merge: 1a9495a 81ad2e3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 1 13:42:37 2010 +1000

    Merge branch 'input-api'
    
    Conflicts:
            src/properties.c

commit 81ad2e389d11691d5c2687d83150e8e9033cfe76
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Jul 23 15:03:42 2010 +1000

    Use InputInfoPtr instead of LocalDevicePtr.
    
    The latter is about to be removed from the server, InputInfoPtr has been
    around in all supported server versions.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b7dbe57332bd3d009ea60038f555ae1ef7e17e85
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 22 11:53:52 2010 +1000

    Support the new input api.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1a9495a74c41d956751177807602383ce4549c37
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Sep 1 09:04:11 2010 +1000

    synaptics 1.3.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 33632e447b311950729350e5802b5b1ee9616677
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 23 15:12:05 2010 +1000

    man: use secondsÂ² instead of seconds per second
    
    Makes it hopefully slightly less confusing. Should have been amended before
    the push but ENOTENOUGHCOFFEE.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7a741ddedab477baea21f3d8ce6390b7bf72399f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Aug 23 11:55:45 2010 +1000

    synaptics 1.2.99.901
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 59151a548dcbac6f68e4f921b5c47aea4e5bc2a3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Aug 20 11:09:04 2010 +1000

    Enable coasting by default with a value of 20.
    
    The default value for friction coasting makes coasting much more useful now
    since it stops coasting after a while. Enable it by default, the man page
    already claims a default of 20 anyway.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 56655fd15f676fea143f3963e23b464b275b2e77
Author: Patrick Curran <pjcurran@wisc.edu>
Date:   Fri Jul 23 17:28:01 2010 -0500

    Added "friction physics" so coasting can stop on its own.
    
    When you are coasting (but not corner coasting) you might want the
    scrolling to slow down and stop on its own.  This also lets you
    start coasting while using a two finger scroll.
    
    Signed-off-by: Patrick Curran <pjcurran@wisc.edu>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Tested-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a6ca4d2523904b7ce49edc29ba408979bdf0d45e
Author: Chris Bagwell <chris@cnpbagwell.com>
Date:   Wed Aug 18 22:09:45 2010 -0500

    Reset X/Y hist on multi finger transition to fix jumps
    
    Most modern touchpads track 1st finger during multi-touch.  If first finger
    is lifted then a jump will occur as X/Y transition to next finger location.
    Resetting X/Y history as each finger is lifted will hide this transition.
    
    Synaptics hw specs claim older hardware report X/Y values that are average
    point between multi-fingers which can cause unwanted jump.  Reset X/Y
    history during transition to new fingers to hide this as well.
    
    Signed-off-by: Chris Bagwell <chris@cnpbagwell.com>
    Tested-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b774a1dba2f1f45c94fe898fe8b5ce258cbcddfc
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 19 14:25:29 2010 +1000

    Increase the default acceleration factor.
    
    With 4e0e53fcba6fd99d458df1905d055d63360155c0 the driver got it's own
    acceleration mechanism. This slowed down the pointer movement a lot,
    especially on ALPS touchpads. Increase the default acceleration factor to
    accommodate for this.
    
    The number itself is chosen through guesswork and informal tests.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Tested-by: Magnus Kessler <Magnus.Kessler@gmx.net>
    Reviewed-by: Magnus Kessler <Magnus.Kessler@gmx.net>

commit 4b0003c3d4cee1f5c6675bde5701e2169959932a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Aug 19 14:22:03 2010 +1000

    Up the precision of MaxSpeed and AccelFactor log output.
    
    MaxSpeed usually has two decimals that matter, AccelFactor doesn't get
    intersting until the second decimal, so print 3.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7acdbb7cf95299fda29d6bea691af925f5182749
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Aug 17 11:34:32 2010 +1000

    synclient: don't print "missing" if a property doesn't exist.
    
    Virtually all touchpads still in use have one or more properties missing
    anyway. If it's not in the list, then it's missing.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a9d25b818d364594bfb761a996a86db002a7d4ac
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 22 11:44:35 2010 +1000

    Reshuffle initialization in preparation for new input API.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4dd15cf37d388a720e502f364410c28f17e03ce6
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 22 11:42:38 2010 +1000

    Add some ifdefs missing from XINPUT ABI 12
    
    These flags are not used in the newer servers anymore. Define them locally,
    remove the defines once we stop supporting server 1.9.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e6f209d1aacef18e68eeede84c7bfca4c1c100c8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jul 22 11:41:35 2010 +1000

    Remove XI86_POINTER_CAPABLE usage.
    
    This is a write-only flag.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit abb448a253cb0b3003038fbaa1daa9494c396e8f
Author: Chris Bagwell <chris@cnpbagwell.com>
Date:   Wed Jul 7 21:35:22 2010 -0500

    Align EmulateTwoFinger* docs to current behavior.
    
    This corrects man page to mention EmulateTwoFingerMinW
    and EmulateTwoFingerMinZ are considered together.  Old
    man page read like driver would emulate two-finger even
    if only pressure OR width (but not both) were supported.
    
    Next, add note to align man page with patch that defaults
    to enabling two-finger emulation on hardware that does not
    support two-finger detection but does support pressure and
    width detection.
    
    Signed-off-by: Chris Bagwell <chris@cnpbagwell.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ffa6dc2809734a6aaa690e9133d6761480603a68
Author: Chris Bagwell <chris@cnpbagwell.com>
Date:   Thu Jul 1 20:09:43 2010 -0500

    Default to 2-finger emulation when HW supports it
    
    Ideally, emulating 2-fingers should just work on hardware
    were it can be supported. This patch is to do that.
    
    Currently, emulateTwoFingerMinW defaults to 7. Most kernel
    drivers do not support reporting finger width and so can't get above
    MinW of 7. Synaptics devices hardcode width value to 5 when
    hardware doesn't support width and 7 is a good threshold to detect
    2 fingers on hardware that does. bcm7954 are only other devices
    that report width and they support reporting DOUBLETAP and wouldn't
    need emulation anyways.
    
    emulateTwoFingerMinZ defaulted to a really high value so never
    let Synaptics devices to emulate 2-fingers by default.
    Changed default to a low value (same as FingerHigh) when hardware
    doesn't support DOUBLETAP and supports width so emulations
    will now work by default in all the right cases.
    
    I'm working to get kernel to stop reporting ABS_TOOL_WIDTH unless
    hardware really supports it.  If that would have been behavior
    in first place then we could also default to 2-finger scrolling as
    well.  Since its not reliable, we should continue defaulting to
    side scrolling.
    
    Config GUI's will want to now allow switching between 2-finger and edge
    scrolling when new property indicates width is supported.  GUI's should
    also update the above MinZ and MinW's to values similar to our defaults.
    
    Signed-off-by: Chris Bagwell <chris@cnpbagwell.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e2a247a76e21d9c0be7d537dbfc18df9f3b812fa
Author: Chris Bagwell <chris@cnpbagwell.com>
Date:   Wed Jul 7 21:00:19 2010 -0500

    Document Capabilities property additions in man
    
    Documents has_pressure and has_width additions.
    
    Signed-off-by: Chris Bagwell <chris@cnpbagwell.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 75459b1c0bb85ce0bbeb4270114edddb30ff3b1b
Author: Chris Bagwell <chris@cnpbagwell.com>
Date:   Mon Jul 19 19:30:14 2010 -0500

    Expose width support in capabilites properity.
    
    Some properties are only valid with hardware supports
    width.  Namely, *MinW properties.  Config GUI's may
    wish to disable/grey out options related to width support.
    
    This combined with pressure property is good indication when
    2 finger scrolling can be supported using emulation.
    
    Signed-off-by: Chris Bagwell <chris@cnpbagwell.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 51e9bb815812469f39ad47f723d842bf1893a109
Author: Chris Bagwell <chris@cnpbagwell.com>
Date:   Wed Jul 7 20:40:52 2010 -0500

    Expose pressure support in capabilities property.
    
    Some properties are only valid when hardware supports
    pressure.  For example, the *MinZ and *MaxZ options.
    Config GUI's may wish to disable/grey out config
    options related to pressure since not all hardware supports
    it.  This will allow for that.
    
    Also, change setting of priv->has_pressure to boolean
    value so its value will always fit in 8-bit that
    properities report.
    
    Signed-off-by: Chris Bagwell <chris@cnpbagwell.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cc9d34155297a85fb214d76d4fc45f26cf41f5f3
Author: Chris Bagwell <chris@cnpbagwell.com>
Date:   Thu Jul 15 21:44:03 2010 -0500

    Make default checks for x, y, w, and p separate.
    
    Some input devices will not return any ranges and
    current code seems geared towards those.  It assumed
    if invalid X/Y ranges then that was only case for invalid
    W and Pressure.
    
    Synaptics kernel drivers have been returning valid
    X/Y/Z values but invalid 0/0 values for P.
    
    Split up checks to allow setting defaults for any combination
    of unspecified or invalid values.
    
    I also think there was a bug in older code.  It seemed odd
    it was checking minx > maxx but miny < maxy.  I changed both
    to ">=" so that it also catches kernel reports of 0/0 and
    logically invalid ranges (i.e. 6/6 or 9/1).
    
    Signed-off-by: Chris Bagwell <chris@cnpbagwell.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit df9b639cef416ce694aa0be1592f99a41a0ea554
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 23 09:53:02 2010 +1000

    Remove one leftover xcalloc.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3e9753f09699a40b33dadb1739949d2cd6c48611
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 17 11:17:41 2010 +1000

    Bump to 1.2.99.1.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b19e3782a77c171ca20fc962f95923495fdb7978
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 17 11:23:15 2010 +1000

    Purge GuestMouse support.
    
    Guest mouse dates back to quite a while ago, hasn't been tested for ages and
    the current synaptics interface guide claims the bit that we used to check
    if guestmouse is available is "reserved for future use. The host should
    ignore the values of reserved bits when reading the capability bits."
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2c8ba519471cf1a4d0ab0f2cac61359426eaa0c7
Merge: bef44f0 22a2c7f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Jun 17 11:15:44 2010 +1000

    Merge branch 'master' of git+ssh://git.freedesktop.org/git/xorg/driver/xf86-input-synaptics

commit bef44f01603e1a337b9dc08b5dd37664f9237bab
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 16 10:35:20 2010 +1000

    synclient: allow Min|MaxSpeed values of > 1.0.
    
    With the new accel mechanisms, the old ranges don't apply anymore.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a3c38206ed242040c4cbb79377490d8dfa48d5ac
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 16:03:41 2010 +1000

    Require server 1.6 or later.
    
    Remove ifdef's for server ABIs up to including server 1.5. Driver still
    supports 1.6, 1.7, 1.8 and the upcoming 1.9.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fe15f60ef2742f9fb9dffe2bc1f4bcd2f296b37b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 15:09:53 2010 +1000

    Re-use width/height variables.
    
    No functional changes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 832dfd03bb3eb6b8291aba2b70fd0faf2e1976a5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 15:06:34 2010 +1000

    Reshuffle default value initialization.
    
    No functional changes, just code structure. The eventcomm backened is the
    only one with a real probe function right now. So provide a default query
    proc that reads the touchpad coordinates in. The values provided are the
    ones that then will give us the right edge settings in concordance with the
    default we had before.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 22a2c7feb18a18a700a736c3f4a65951dbebe990
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri Jun 11 14:22:06 2010 -0400

    config: add comment regarding MAN_SUBSTS variable usage
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 078bad1582d7fc9a77e00d131bb32bf9d69d2a42
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 15:01:16 2010 +1000

    Move some defines to where they belong.
    
    These defines aren't used by anything but the ps2comm interface.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Fernando Carrijo <fcarrijo@yahoo.com.br>

commit 7b97f9869983a47678188d0df1a209ffc35150db
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 14:24:05 2010 +1000

    Support percent values for area.
    
    AreaTopEdge and the other three can be specified as either an absolute
    value, or as a percent of the matching dimension.
    
    Option "AreaBottomEdge" "80%" will thus set the bottom edge of the input
    area to 80% of the height of the touchpad, with the lower 20% being the dead
    area.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Fernando Carrijo <fcarrijo@yahoo.com.br>

commit 8b3717055ab5c8d52bf5aae13e996ab4e86c2794
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 13:57:11 2010 +1000

    man: don't call it "synaptics" touchpad driver.
    
    Under Linux the kernel handles everything, so these days synaptics is the
    generic touchpad driver for anything that the kernel can handle. There
    aren't many synaptics-specific bits in the driver anymore.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Fernando Carrijo <fcarrijo@yahoo.com.br>

commit 857d579de808a95e3c8541847ec8a8845ca57c73
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 13:54:16 2010 +1000

    man: note where the Area options fit in.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Fernando Carrijo <fcarrijo@yahoo.com.br>

commit f42fa446c4c0a2de92c1b5320dc8dcd0c18907e5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 13:48:46 2010 +1000

    man: move area description down to CONFIGURATION DETAILS section.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Fernando Carrijo <fcarrijo@yahoo.com.br>

commit 78df6c5da2792a333a7aac899329517032f2f2f8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 13:46:54 2010 +1000

    man: divide up man page with a few subheaders.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Fernando Carrijo <fcarrijo@yahoo.com.br>

commit 1f2b54cd57e88b706b6b2874547eabd1a8ab0963
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 10:16:38 2010 +1000

    man: update SHMConfig documentation, it's only useful for debugging now.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Fernando Carrijo <fcarrijo@yahoo.com.br>

commit 69097acf352464a04ca315c80f7cf855f8656ede
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jun 15 10:49:17 2010 +1000

    Don't allow anything but relative mode.
    
    We did this before already anyway, make it official and return an error to
    the client as appropriate. Touchpads in absolute mode are somewhat useless.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Fernando Carrijo <fcarrijo@yahoo.com.br>

commit f07e1e1cbe199721f99c027843facf4e55172fa2
Author: Simon Thum <simon.thum@gmx.de>
Date:   Tue Feb 16 09:57:03 2010 +0100

    Mulitply dix acceleration into synaptics maximum.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 6e346388f822e90f61b92a2344e821880876a2ea
Author: Simon Thum <simon.thum@gmx.de>
Date:   Mon Feb 15 13:28:17 2010 +0100

    Accel: retain para->accel scale.
    
    In case people have modified their synaptic accel settings, it's
    preferable to retain the settings scale.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4e0e53fcba6fd99d458df1905d055d63360155c0
Author: Simon Thum <simon.thum@gmx.de>
Date:   Wed Sep 9 14:41:08 2009 +0200

    Setup pointer acceleration for synaptics
    
    Setup dix pointer accel from the synaptics driver so synaptics devices
    behave like before while benefiting from dix velocity approximation.
    
    This fixes the longstanding issue with synaptics being
    accelerated twice, in different layers and different algorithms.
    The pressure-dependent synaptics acceleration is now performed in
    the device-specific profile.
    
    Signed-off-by: Simon Thum <simon.thum@gmx.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3c26383af55b6b3599666cfa9693ec04aaecef02
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jun 7 11:28:42 2010 +1000

    Revert "Setup pointer acceleration for synaptics"
    
    Merged the wrong patch, right patch is the follow-up commit.
    
    This reverts commit a489ec15eb489a3528f6fee99716f7f4ae35f9ee.

commit 144210ab4962c5b00fea4fdc4f01050841a8d67c
Merge: a489ec1 dead313
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Jun 2 12:57:38 2010 +1000

    Merge branch 'master' of git://people.freedesktop.org/~gnadon/xf86-input-synaptics

commit dead313d15a7c9ccf59009eef4202503741a1b5f
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Jun 1 20:55:15 2010 -0400

    config: fdi file must be installed in $(datadir)/hal/fdi/policy/20thirdparty
    
    Applies to server with no sysconfigdir
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a489ec15eb489a3528f6fee99716f7f4ae35f9ee
Author: Simon Thum <simon.thum@gmx.de>
Date:   Wed Sep 9 14:41:08 2009 +0200

    Setup pointer acceleration for synaptics
    
    Setup dix pointer accel from the synaptics driver so synaptics devices
    behave like before while benefiting from dix velocity approximation.
    
    This fixes the longstanding issue with synaptics being
    accelerated twice with different algorithms. The pressure-dependent
    synaptics acceleration is now performed in a device-specific profile.
    
    Signed-off-by: Simon Thum <simon.thum@gmx.de>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3dd5486bc8ddd96f43e92386537ae9adabc1714e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 31 15:39:18 2010 -0400

    config: synaptics depends on RANDR through xf86.h
    
    The xf86.h file contains external declarations specific to RANDR
    If this extension is defined (installed) synaptics will not compile
    if randrproto is not installed.
    Because this is an optional extension, XORG_DRIVER_CHECK_EXT
    must be used.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 92789dfb8a0443d9f1dd8df4ba43c69885136574
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri May 28 20:16:54 2010 -0400

    config: add AC_CHECK_LIB for math library functions
    
    It ensures library is installed and sets LIBS = -lm
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c1df54855a7eee4d904746ad7b6edc7553bda0af
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri May 28 13:38:35 2010 -0400

    README: add standard reference links section
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 3b78018e9a0df9f0c38b63d7f4efc7dadb9ebb3e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri May 28 13:32:55 2010 -0400

    COPYING: add three missing authors listed in synaptics.c
    
    Copyright (c) 2008 Fedor P. Goncharov
    Copyright (c) 2002 S. Lehner
    Copyright (c) 2008-2009 Red Hat, Inc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit c4ca660b4773c6feb04a5cf64da44da1f0b2de49
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri May 28 13:19:11 2010 -0400

    Remove unused TODO file
    
    It has been updated just once in 4 years (300 commits)
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 9924329002276ff60c033c66dd7e39a70050c3cc
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri May 28 13:09:00 2010 -0400

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 100d3d60cd798ea1978adf1c7e388ee6dc5984e4
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Fri May 28 13:07:42 2010 -0400

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Use AC_PROG_SED now supplied by XORG_DEFAULT_OPTIONS
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 14fc097bc481e8dda84c4d90f8c3c97df15c6746
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue May 25 13:29:46 2010 -0400

    config: replace Automake deprecated INCLUDES var with AM_CPPFLAGS
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2554d5b615101011c09c4786b8a18216ec0909e2
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue May 25 13:00:04 2010 -0400

    config: unconditionaly build synclient and syndaemon apps
    
    The current conditional building of the apps was introduced by
    commit  080caee95c46bb471d1442dcab246460cad8c7be due to optional
    support properties. This is no longer an issue.
    
    There are no longer any reason not to build these bona fide apps.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a101621bf624466f66da41a8fa6b5ba796cd10fd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun May 30 21:40:01 2010 -0400

    man: Use Autoconf provided $(AM_V_GEN)$(SED)
    
    Enables silent rule and use platform appropriate version of sed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 82c2e2d93413ec81e84cb33338e677e01aa382a9
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 24 15:53:06 2010 -0400

    config: 50-synaptics.conf must be unconditionally distributed
    
    A file may or may not be installed based on a particular system
    configuration, but it must always be distributed in the tarball
    so the package contains the complete source code.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e517ccca6e7f1bd9160f2d82c10ddb618771d192
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 24 15:50:18 2010 -0400

    config: use automake "dir" pattern for simplification
    
    configdir is where the config file is installed
    config_DATA is the filename
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit e4d280dfbdb2d1a916e6ad9a4cdc3f22f2c37d57
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon May 24 15:27:56 2010 -0400

    config: close a loophole where user input means x server has a feature
    
    If a user provides a path in --with-xorg-conf-dir,
    the configuartion assumes the server does have a config path which may
    not be the case.
    
    Resolve this by testing the value of the server returned sysconfigdir
    rather than the user provided value.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f3e4c586037a5785f786ff74c89c87de7d4ac344
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat May 22 20:48:29 2010 -0400

    config: fix warnings, m4 quoting and layout
    
    Fix some m4 quoting
    Fix some autoconf warnings
    Regroup statements per section
    Add comments
    Regroup xtst and recordproto (a prereq) flags together
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5d64210dc613278d0b8914393cbbc3baeb4e1b76
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat May 22 20:29:27 2010 -0400

    config: Upgrade X.Org macros to 1.4 for INSTALL file copying
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 20fd08780dcf5cdc8b3d85284fe357a3c2917aed
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat May 22 20:28:51 2010 -0400

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2538a6b87aad3526f85028689adc3eac21a91997
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat May 22 20:27:10 2010 -0400

    config: remove unrequired AC_HEADER_STDC
    
    Autoconf says:
    "This macro is obsolescent, as current systems have conforming
    header files. New programs need not use this macro".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2aae5d03e336c6b1e06745410268a0c26b4a366b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat May 22 20:26:36 2010 -0400

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    Regroup AC statements at the top.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 2f81c85866448c4a07064bc6e999854f5fbcf044
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat May 22 20:24:57 2010 -0400

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules is 2.60 dated June 2006.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit bc3c09674911b9870a3c224b0c261132d1b13cfa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sat May 22 17:52:43 2010 -0400

    config: regroup macros and variables in the backend checking
    
    It saves a few lines.
    No functional changes.
    
    The same cannot be done for AM_CONDITIONAL:
    "If AM_CONDITIONAL is run conditionally (e.g., in a shell if statement),
    then the result will confuse automake".
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 8843aaf4806344a8bda0f2e981a77f61c18f8037
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Sun May 30 21:19:29 2010 -0400

    config: rework the synclient and syndaemon dependencies
    
    The driver does not require inputproto package
    The hunting for record.h is done only if libXtst is installed
    AC_CHECK_HEADERS is used rather than checking for package versions
    HAVE_PROPERTIES is no longer required
    
    Normal config output:
    checking for XI... yes
    checking for XTST... yes
    checking for X11/extensions/record.h... yes
    
    Permutations of --enable-tools and dependencies:
    
    build_tools     libXi installed Result
    -----------     --------------- ---------
    yes             yes             build tools
    auto            yes             build tools
    no              yes             skip build
    yes             no              abort configuration
    auto            no              warn and skip build
    no              no              warn and skip build
    
    Permutations of libXtst, record.h and recordproto
    
    libXtst         record.h        recordproto     syndaemon
    installed       installed       installed       using XRecord?
    
    yes             yes             yes             yes
    yes             no              yes             no
    no              no              yes             no
    no              yes             yes             no
    no              no              no              no
    
    Other scenarios are possible where you have 2 different versions of
    record.h installed in different $prefix locations. The order
    of *_CFLAGS will determine which one gets picked first.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 76dd6ffee7257f9ff0aec5a9655de67f6e7973c9
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 25 07:36:43 2010 +1000

    Bump to 1.2.99
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a8ed3f90bf64b77ff9787c2e1c31441d254797b5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 20 12:50:40 2010 +1000

    Don't use libcwrappers for calloc and free.
    
    The server has deprecated them now, so we get a lot of warnings for little
    benefit.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Matt Turner <mattst88@gmail.com>

commit 345e61fe9290d37b6309f920884a955fb62fa071
Author: Gabor Z. Papp <gzp@papp.hu>
Date:   Thu May 20 12:45:54 2010 +1000

    Building syndaemon and synclient needs $(XI_CFLAGS) and $(AM_CFLAGS)
    
    Reported-by: Gabor Z. Papp <gzp@papp.hu>
    Signed-off-by: Gabor Z. Papp <gzp@papp.hu>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit f539d676607d3a7566093e2bd54edc740db20426
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue May 11 13:46:31 2010 +1000

    Remove psmcomm.h header - superfluous.
    
    Don't need a full header file for 3 include directives of system headers.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit c52e4a8ecd6bb535850ec6ff032f69a225734f8f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon May 10 11:17:49 2010 +1000

    Reshuffle to handle dead area better.
    
    This patch makes input in the dead area essentially disappear to the client.
    If a finger is detected outside the active area, it's coordinates and other
    data is reset to zero. Edge detection and scrolling is skipped and the event
    is not recorded in the movement history.
    
    On touchpads that require this area, it is now possible to click the button
    while leaving another finger on the touchpad.
    
    Regression: moving into the dead area during a drag releases the drag button.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d79732c1ffcfa6fd1a9a39e5a1c464bba8e2afc8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri May 7 13:46:49 2010 +1000

    Make scrollbuttons processing and property conditional on their existence.
    
    There are not a lot of touchpads that have extra physical scroll buttons
    anymore. For those that don't have them, don't initalize the properties and
    conditionalize some of the code (moved into its own functions).
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit b8776ff0b478a1645f1536872d001e9605d86f71
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 17:27:14 2010 +1000

    move history storage from ComputeDeltas into HandleState.
    
    It's well hidden in there, but not useful.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Simon Thum <simon.thum@gmx.de>

commit 69a8de8fd9f1731c83e003b6ff6495cfdc96d4e1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 16:36:52 2010 +1000

    Add NO_EDGE to the edge enum instead of using hardcoded 0.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 33b01280d8ffe6e35f6ca8497ed82bcfe2044594
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 15:22:33 2010 +1000

    Rename HandleClickWithFingers to handle_clickfinger.
    
    The option is called ClickFinger, the man page talks this way about it, sync up
    the code with it.
    No functional change.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 1b612c0bbcd8b287ac4f7cb8ba3354b0e0a63949
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 15:21:39 2010 +1000

    Factor out updating the hardware state.
    
    No functional changes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 9076f06b1b70a92ab582ce68a73fdaa169dfe69f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 15:10:40 2010 +1000

    Use post_button_click to post doubleclicks.
    
    Function introduced with the factoring out of post_scroll_events.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 7fd741f76a94feb21c4c8227105d174be630da11
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 15:09:33 2010 +1000

    Move scroll button handling out of HandleState.
    
    Again, just to make the code easier to read, no functional changes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit 39aed3b773c077a55f54a7c143102ab09dae8237
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 15:05:35 2010 +1000

    When scrolling, hardcode the button/press release cycle.
    
    Not sure why the values for !hw->up and hw->up were used here instead, but this
    could potentially lead to unreleased buttons. Also, it's harder to read and
    generally confusing, since the same wasn't used for left/right scrolling.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 3782060b41ede96d87dcbc508b2235c6723f0a78
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 14:54:35 2010 +1000

    Factor out up/down and left/right button scrolling from HandleState.
    
    There are not a lot of touchpads that even have these buttons anyway, move the
    code out of the way for clarity.
    
    No functional changes.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Jamey Sharp <jamey@minilop.net>

commit e72c29939fa0620e831ebc99bbc69a5cadca1247
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 14:21:42 2010 +1000

    Move SHM hardware state update into a separate function.
    
    No functional changes, this is just to move a slab of code out of mind when
    reading.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit e579bab2f71569ab07d6b6fd36360a81fac48ad8
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 16:58:46 2010 +1000

    Change condition the finger requirement obvious.
    
    The need for a finger down is for all conditions, move it to the front of
    the condition to make it more obvious.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a1aa196a53a9061131bcdaeac3743c1f8149ed5d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu May 6 16:10:34 2010 +1000

    Add FIXME: where does the 13 come from?
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 776ec0ed42616769ed834b5822df3b2b0d5c0e85
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 29 15:03:55 2010 +1000

    Disable ClickFinger for touchpads with more than one physical button (#26079)
    
    If a touchpad has more than just one (or no) button, don't enable any
    ClickFinger settings other than button 1.
    
    The old default of enabling those clickfingers can be confusing on devices
    that have left and right buttons but no middle. In that case, leaving three
    fingers on the touchpad and clicking will result in a button 2 press
    (usually paste). But leaving one or two fingers on the touchpad while
    clicking will simply send button 1 events.
    
    This can appear like spurious button 2 events to the user.
    
    X.Org Bug 26079 <http://bugs.freedesktop.org/show_bug.cgi?id=26079>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 87b29e6004a9a7f744eb6e9c2bf9539579ecefbf
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Apr 8 14:47:08 2010 +1000

    Add 50-synaptics.conf snippet.
    
    If the server exports the sysconfigdir variable, install the
    50-synaptics.conf snippet in the directory provided.
    
    This patch also moves the fdi file from fdi/ into the new conf/ subdir to
    have a single location for all config files.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>

commit e22a850e69d670152371644fc4e63976f484d7b5
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Apr 14 08:41:06 2010 +1000

    eventcomm: use X_PROBED for kernel-probed values.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 4e221c1647b066b65c317fcf4cb4f71cc5874386
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Apr 5 20:57:06 2010 -0400

    config: include files redundant in EXTRA_DIST
    
    The HEADERS Automake primary variable always gets it's files
    distributed and installed.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a07fe65031ffa7e8d88898d763bdbc88899fb1e4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Mar 17 13:52:43 2010 +1000

    After closing the fd, reset it to -1.
    
    A DeviceOff() followed by DeviceClose() (which calls DeviceOff()) would try
    to close the fd twice, in addition to calling various hooks.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Julien Cristau <jcristau@debian.org>

commit 0fb151b2388ca665b9454b7b284181b4fa180194
Author: Adam Jackson <ajax@redhat.com>
Date:   Fri Mar 12 08:32:22 2010 +1000

    Don't clobber the timer we just created.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@redhat.com>

commit 8d0e7686d899f31a2efc62526f50796b4c484442
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 10 20:22:37 2010 -0500

    tools: use more appropriate CFLAGS
    
    -I$(top_srcdir)/include: required for synaptics.h and
    synaptics-properties.h. The module has not yet been installed
    so there is no copy in server sdkdir (unless old copy)
    
    $(XTST_1_1_CFLAGS): required if record.h is provided by
    libXtst in $(includedir)/X11/extensions.
    
    $(RECORDPROTO_1_13_CFLAGS): required if record.h is provided by
    recordproto  in $(includedir)/X11/extensions.
    
    -I$(sdkdir): required for xserver-properties.h
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>
    Acked-by: Julien Cristau <jcristau@debian.org>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ddfadc2e824ac17c0360720a2121639573587231
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Feb 10 12:50:50 2010 -0500

    tools: add the main include directory
    
    Header record.h is not found in X11/extensions because -I leading
    to that directory is missing. I think it was accidently removed
    when fixing the CFLAGS misuse in an earlier commit.
    
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f7559a5ea578b9889ec233b374bf270f1e7b6a64
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Jan 15 15:08:42 2010 -0800

    Update Sun license notices to current X.Org standard form
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 7a43ba2b9d35bc89b94964ce7f95c9299b978b7d
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Jan 8 16:22:51 2010 +0000

    configure: don't clobber CFLAGS
    
    CFLAGS is a user variable.
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a1776829076a6774571fa82ea4adde03c3c6c5b4
Author: Julien Cristau <jcristau@debian.org>
Date:   Fri Jan 8 16:22:50 2010 +0000

    synaptics: don't link the tools against `pkg-config --libs xorg-server`
    
    Separate the checks for xserver 1.6 and for libXi in configure, so we
    can link the tools against libXi but not pixman and pciaccess.
    
    Signed-off-by: Julien Cristau <jcristau@debian.org>
    Reviewed-by: Dan Nicholson <dbn.lists@gmail.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 94aaded93d035b0a65b4f7a80f9bdf6cf1ae2d66
Author: Hiroyuki Ikezoe <poincare@ikezoe.net>
Date:   Thu Jan 7 11:28:27 2010 +0900

    Restore user's setting when enabling touchpad.
    
    And do not disable if the property is already disabled.
    
    Signed-off-by: Hiroyuki Ikezoe <poincare@ikezoe.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit fb058a463e3b36edc735b517a41feb4ee75d88cd
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Dec 15 21:37:43 2009 -0500

    configure.ac: use backticks rather than $() for cmd subs
    
    Use "$PKG_CONFIG" rather than hard coded "pkg-config"
    
    Acked-by: Dan Nicholson <dbn.lists@gmail.com>
    Acked-by: Daniel Stone <daniel@fooishbar.org>
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit babe5288271f3c088d9aac3ffd9f036c87b0018e
Author: Adam Jackson <ajax@redhat.com>
Date:   Thu Dec 10 13:33:37 2009 -0500

    Don't destroy the timer on DeviceOff.
    
    DeviceOff is VT switch, DeviceClose is unplug.  We need the timer
    pre-allocated since we set it during the signal handler and so can't
    allocate it then, so merely cancel it at DeviceOff, and delete it in
    DeviceClose.
    
    Signed-off-by: Adam Jackson <ajax@redhat.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Keith Packard <keithp@keithp.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 8748a83dc507af211692124ce93dabfeb43da7aa
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Nov 23 09:25:05 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit a1ee64384f67c9d51dd3ac69cec1e756ba611145
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 10 21:34:53 2009 -0500

    INSTALL files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball

commit 0a9d91701d04be8c7a1ff16d1f8d048089834219
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 10 21:33:33 2009 -0500

    Several driver modules do not have a ChangeLog target in Makefile.am #23814
    
    The git generated ChangeLog replaces the hand written one.

commit 66cdb27572f8ff72fdf0e9e141bccb5aa177f9d5
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Nov 10 21:20:52 2009 -0500

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit e6b1a4ef1208fa7ba1e3be3fa01b943ca6f83cd4
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Nov 3 13:40:21 2009 +1000

    Reduce SynapticsCtrl to a stub.
    
    It hasn't done anything useful since at least 2003 and the debug message
    just spams the log.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Adam Jackson <ajax@redhat.com>

commit 33413529dc35f0afc585d4297f86199393d19684
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Nov 2 10:42:44 2009 +1000

    eventcomm: don't use the Xisb buffers for reading.
    
    The kernel promises to give us 32 bytes for each event, so we don't have to
    juggle the Xisb buffers around for the eventcomm devices.
    
    This leaves the Xisb buffers hanging around but useless (they are
    initialized regardless). Task for a later cleanup.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Adam Jackson <ajax@redhat.com>

commit d3c1b80692013abb2f2dea6ec7acf1d8a89a18d2
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Nov 2 10:06:01 2009 +1000

    Clean up debugging system, allow for --enable-debug
    
    Add --enable-debug to list of configure options.
    Clean up the DBG macro to use xf86MsgVerb and supply the verbosity.
    Don't use ErrorF from the driver, use xf86Msg instead.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Adam Jackson <ajax@redhat.com>

commit 0198c02774a5063c5cf45b6eddef4a33d9f494d7
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Nov 2 09:48:38 2009 +1000

    Always make the input buffer size 200
    
    PreInit initalizes the input buffer with 200, DeviceOn only with 64. For
    consistency, use the same size in both.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Adam Jackson <ajax@redhat.com>

commit 8b1446f798478a9d8483cdaae8d7ff1bae5c045b
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 22 08:20:55 2009 +1000

    synclient: if no option is specified, assume -l
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Acked-by: Adam Jackson <ajax@redhat.com>

commit 6622911370197d69737be02dd9f83e4406a991ca
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 22 08:19:35 2009 +1000

    synclient: fix man page typo
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit cf2ccaaeb7fdd1ffc4c9171134f7cbd44f141f28
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 20 08:16:48 2009 +1000

    man: update manpage for new tap ordering
    
    Tapping has changed from 1,2,3 to 1,3,2. Document this in the man page.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit d109ebbd5ee8f895e29c5fc780dce3cdb7c2f7d3
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Thu Oct 8 13:41:59 2009 +1000

    synaptics 1.2.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 807a0ecd61ba5fcde57f5e218c790edd58784a56
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Oct 6 08:06:37 2009 +1000

    Require recordproto 1.13 or libXtst 1.1 for record support.
    
    The record.h header used to be in recordproto up to excluding 1.14, then
    moved to libXtst. Check for both and enable it dependent on which version we
    have.
    
    This avoids build errors on setups where a user updated recordproto but not
    libXtst.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Xavier Chantry <shiningxc@gmail.com>

commit 4422003fafe811a2d2e2fca818dc58f706e67918
Author: Alberto Milone <alberto.milone@canonical.com>
Date:   Tue Sep 22 12:46:45 2009 +0200

    Correct the type of the Synaptics Area options in the man page
    
    The type of the Synaptics Area options in the man page was incorrectly
    set to "boolean" but it's really "integer".
    
    Signed-off-by: Alberto Milone <alberto.milone@canonical.com>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 2b27e79d0c6cab73ecb8d00e1dbad32a8150033c
Author: Christoph Brill <egore911@egore911.de>
Date:   Sat Sep 12 09:52:50 2009 +0200

    Revert "Add support for reducing the build process output by using shave"
    
    This reverts commit 583678b8fe540d9a4120e6c93115b4a141888a2e. Peter
    Hutterer informed me that util-macros 1.3.0 already provide the same
    functionality when using automake 1.11.
    
    Conflicts:
            configure.ac

commit e01129440742f39650a50c193315b2824c0b303a
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Fri Sep 11 11:45:04 2009 +1000

    Require macros 1.3 for XORG_DEFAULT_OPTIONS
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 583678b8fe540d9a4120e6c93115b4a141888a2e
Author: Christoph Brill <egore911@egore911.de>
Date:   Wed Sep 9 20:57:12 2009 +0200

    Add support for reducing the build process output by using shave
    
    This adds suport for shave (git://git.lespiau.name/shave) which is
    capable of reducing the amount of unintresting output from autotools
    builds. It was copied over from xf86-video-ati and updated to latest git
    of shave. It is still possible to get the usual output by using "make
    V=1".

commit 45851dbfe64ff18f0867846443300e845cdc7e22
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 7 21:49:24 2009 +1000

    man: s/SYNTAX/SYNOPSIS/ (#9515)
    
    X.Org Bug 9515 <http://bugs.freedesktop.org/show_bug.cgi?id=9515>
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit ddee56185181d5c3ffd007fe0dc5af3eed1a95cd
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Sep 7 14:01:01 2009 +1000

    synaptics 1.1.99.1.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit a629e9fb42433c01daf2278381dcf5bbe1557c16
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Aug 19 13:43:21 2009 +1000

    Use finger state as an enum, not as a bool.
    
    SynapticsDetectFinger mixed using finger as an FS_* enum and as a bool if
    palm detect was on.
    Reshuffle the conditions that it stays as-is or is reset to FS_UNTOUCHED,
    whichever is appropriate.
    
